/*===========================================================================*/
/*   (Type/type.scm)                                                         */
/*   Bigloo (3.8b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed May 2 08:00:52 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Type/type.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;


	BGL_EXPORTED_DECL obj_t BGl_typezd2parentszd2zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_z62typezd2pointedzd2tozd2byzb0zztype_typez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2namezd2setz12z70zztype_typez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztype_typez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_typezd2pointedzd2tozd2byzd2setz12z12zztype_typez00(BgL_typez00_bglt,
		obj_t);
	static obj_t BGl_z62foreignzd2typezf3z43zztype_typez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2aliaszb0zztype_typez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_typezd2locationzd2setz12z12zztype_typez00(BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza31421ze3ze1zztype_typez00(obj_t);
	static obj_t BGl_z62zc3anonymousza31243ze3ze1zztype_typez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_typezd2coercezd2toz00zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_z62typezd2namezb0zztype_typez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2occurrencezd2setz12z70zztype_typez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_typezd2coercezd2tozd2setz12zc0zztype_typez00(BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza31252ze3ze1zztype_typez00(obj_t);
	static obj_t BGl_z62zc3anonymousza31406ze3ze1zztype_typez00(obj_t);
	static obj_t BGl_z62zc3anonymousza31228ze3ze1zztype_typez00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62getzd2aliasedzd2typez62zztype_typez00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zztype_typez00();
	static BgL_typez00_bglt BGl_z62zc3anonymousza31180ze3ze1zztype_typez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31318ze3ze1zztype_typez00(obj_t);
	static obj_t BGl_z62typezd2importzd2locationzd2setz12za2zztype_typez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_typezd2occurrencezd2setz12z12zztype_typez00(BgL_typez00_bglt, int);
	BGL_EXPORTED_DECL obj_t
		BGl_typezd2magiczf3zd2setz12ze1zztype_typez00(BgL_typez00_bglt, bool_t);
	static obj_t BGl_z62zc3anonymousza31262ze3ze1zztype_typez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_typezd2z42z90zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_z62typezd2importzd2locationz62zztype_typez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2occurrencezd2incr1130z62zztype_typez00(obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zztype_typez00();
	static obj_t BGl_z62zc3anonymousza31190ze3ze1zztype_typez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_typezd2namezd2zztype_typez00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zztype_typez00();
	BGL_EXPORTED_DECL obj_t
		BGl_typezd2namezd2setz12z12zztype_typez00(BgL_typez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_typezd2importzd2locationz00zztype_typez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_typezd2idzd2zztype_typez00(BgL_typez00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_typez00zztype_typez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_typezd2importzd2locationzd2setz12zc0zztype_typez00(BgL_typez00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_typezd2locationzd2zztype_typez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_typezd2magiczf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_z62zc3anonymousza31274ze3ze1zztype_typez00(obj_t);
	static BgL_typez00_bglt BGl_z62makezd2typezb0zztype_typez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_typezd2classzd2zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_z62bigloozd2typezf3z43zztype_typez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zztype_typez00();
	BGL_EXPORTED_DECL obj_t
		BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_z62typezd2magiczf3zd2setz12z83zztype_typez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62typezd2classzb0zztype_typez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_typezd2parentszd2setz12z12zztype_typez00(BgL_typez00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt BGl_makezd2typezd2zztype_typez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_typezd2tvectorzd2setz12z12zztype_typez00(BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62typezd2occurrencezd2incrementz12z70zztype_typez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_typezd2aliaszd2setz12z12zztype_typez00(BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza31367ze3ze1zztype_typez00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_foreignzd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_z62typezd2aliaszd2setz12z70zztype_typez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62typezd2parentszb0zztype_typez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31384ze3ze1zztype_typez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_typezd2tvectorzd2zztype_typez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_typezd2pointedzd2tozd2byzd2zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_z62lambda1200z62zztype_typez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1201z62zztype_typez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62typezd2siza7ez17zztype_typez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2z42zf2zztype_typez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2siza7ezd2setz12zd7zztype_typez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1213z62zztype_typez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1214z62zztype_typez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_typezf3zf3zztype_typez00(obj_t);
	static obj_t BGl_z62lambda1300z62zztype_typez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1226z62zztype_typez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1227z62zztype_typez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1309z62zztype_typez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2magiczf3z43zztype_typez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62typezd2nilzb0zztype_typez00(obj_t);
	static obj_t BGl_z62typezd2pointedzd2tozd2byzd2setz12z70zztype_typez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1310z62zztype_typez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1316z62zztype_typez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1317z62zztype_typez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_EXPORTED_DECL obj_t
		BGl_typezd2initzf3zd2setz12ze1zztype_typez00(BgL_typez00_bglt, bool_t);
	static obj_t BGl_z62typezd2initzf3zd2setz12z83zztype_typez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_typezd2siza7ez75zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_z62lambda1241z62zztype_typez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1242z62zztype_typez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1404z62zztype_typez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1405z62zztype_typez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_typezd2classzd2setz12z12zztype_typez00(BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62typezd2classzd2setz12z70zztype_typez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62typezd2locationzd2setz12z70zztype_typez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1250z62zztype_typez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1251z62zztype_typez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1419z62zztype_typez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda1176z62zztype_typez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda1178z62zztype_typez00(obj_t);
	static obj_t BGl_z62typezf3z91zztype_typez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_typezd2z42zd2setz12z50zztype_typez00(BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62lambda1420z62zztype_typez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1260z62zztype_typez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1261z62zztype_typez00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zztype_typez00();
	static obj_t BGl_z62lambda1188z62zztype_typez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1189z62zztype_typez00(obj_t, obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zztype_typez00();
	BGL_EXPORTED_DECL obj_t
		BGl_typezd2siza7ezd2setz12zb5zztype_typez00(BgL_typez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zztype_typez00();
	static obj_t BGl_z62lambda1272z62zztype_typez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1273z62zztype_typez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1365z62zztype_typez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1366z62zztype_typez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	static obj_t BGl_z62typezd2idzb0zztype_typez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_typezd2initzf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_z62lambda1299z62zztype_typez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31202ze3ze1zztype_typez00(obj_t);
	static obj_t BGl_z62typezd2parentszd2setz12z70zztype_typez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1382z62zztype_typez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1383z62zztype_typez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62typezd2tvectorzd2setz12z70zztype_typez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2zz__objectz00(obj_t);
	static obj_t BGl_z62typezd2initzf3z43zztype_typez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2coercezd2tozd2setz12za2zztype_typez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt BGl_typezd2nilzd2zztype_typez00();
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL int
		BGl_typezd2occurrencezd2zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_z62typezd2occurrencezb0zztype_typez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_z62typezd2coercezd2toz62zztype_typez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2tvectorzb0zztype_typez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31311ze3ze1zztype_typez00(obj_t);
	static obj_t BGl_z62typezd2locationzb0zztype_typez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_z62typezd2z42zd2setz12z32zztype_typez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31215ze3ze1zztype_typez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_typezd2aliaszd2zztype_typez00(BgL_typez00_bglt);
	static obj_t __cnst[24];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2typezd2envz00zztype_typez00,
		BgL_bgl_za762makeza7d2typeza7b1495za7, BGl_z62makezd2typezb0zztype_typez00,
		0L, BUNSPEC, 15);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2coercezd2tozd2envzd2zztype_typez00,
		BgL_bgl_za762typeza7d2coerce1496z00,
		BGl_z62typezd2coercezd2toz62zztype_typez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_typezd2initzf3zd2setz12zd2envz33zztype_typez00,
		BgL_bgl_za762typeza7d2initza7f1497za7,
		BGl_z62typezd2initzf3zd2setz12z83zztype_typez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2nilzd2envz00zztype_typez00,
		BgL_bgl_za762typeza7d2nilza7b01498za7, BGl_z62typezd2nilzb0zztype_typez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2aliaszd2envz00zztype_typez00,
		BgL_bgl_za762typeza7d2aliasza71499za7, BGl_z62typezd2aliaszb0zztype_typez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bigloozd2typezf3zd2envzf3zztype_typez00,
		BgL_bgl_za762biglooza7d2type1500z00,
		BGl_z62bigloozd2typezf3z43zztype_typez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_typezd2parentszd2setz12zd2envzc0zztype_typez00,
		BgL_bgl_za762typeza7d2parent1501z00,
		BGl_z62typezd2parentszd2setz12z70zztype_typez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2magiczf3zd2envzf3zztype_typez00,
		BgL_bgl_za762typeza7d2magicza71502za7,
		BGl_z62typezd2magiczf3z43zztype_typez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_typezd2siza7ezd2setz12zd2envz67zztype_typez00,
		BgL_bgl_za762typeza7d2siza7a7e1503za7,
		BGl_z62typezd2siza7ezd2setz12zd7zztype_typez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2namezd2envz00zztype_typez00,
		BgL_bgl_za762typeza7d2nameza7b1504za7, BGl_z62typezd2namezb0zztype_typez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2tvectorzd2envz00zztype_typez00,
		BgL_bgl_za762typeza7d2tvecto1505z00, BGl_z62typezd2tvectorzb0zztype_typez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1442z00zztype_typez00,
		BgL_bgl_za762za7c3anonymousza71506za7,
		BGl_z62zc3anonymousza31190ze3ze1zztype_typez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1443z00zztype_typez00,
		BgL_bgl_za762lambda1189za7621507z00, BGl_z62lambda1189z62zztype_typez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1444z00zztype_typez00,
		BgL_bgl_za762lambda1188za7621508z00, BGl_z62lambda1188z62zztype_typez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1445z00zztype_typez00,
		BgL_bgl_za762za7c3anonymousza71509za7,
		BGl_z62zc3anonymousza31202ze3ze1zztype_typez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1446z00zztype_typez00,
		BgL_bgl_za762lambda1201za7621510z00, BGl_z62lambda1201z62zztype_typez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1447z00zztype_typez00,
		BgL_bgl_za762lambda1200za7621511z00, BGl_z62lambda1200z62zztype_typez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1448z00zztype_typez00,
		BgL_bgl_za762za7c3anonymousza71512za7,
		BGl_z62zc3anonymousza31215ze3ze1zztype_typez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1449z00zztype_typez00,
		BgL_bgl_za762lambda1214za7621513z00, BGl_z62lambda1214z62zztype_typez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_typezd2importzd2locationzd2envzd2zztype_typez00,
		BgL_bgl_za762typeza7d2import1514z00,
		BGl_z62typezd2importzd2locationz62zztype_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1450z00zztype_typez00,
		BgL_bgl_za762lambda1213za7621515z00, BGl_z62lambda1213z62zztype_typez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1451z00zztype_typez00,
		BgL_bgl_za762za7c3anonymousza71516za7,
		BGl_z62zc3anonymousza31228ze3ze1zztype_typez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1452z00zztype_typez00,
		BgL_bgl_za762lambda1227za7621517z00, BGl_z62lambda1227z62zztype_typez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1453z00zztype_typez00,
		BgL_bgl_za762lambda1226za7621518z00, BGl_z62lambda1226z62zztype_typez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1454z00zztype_typez00,
		BgL_bgl_za762za7c3anonymousza71519za7,
		BGl_z62zc3anonymousza31243ze3ze1zztype_typez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1455z00zztype_typez00,
		BgL_bgl_za762lambda1242za7621520z00, BGl_z62lambda1242z62zztype_typez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1456z00zztype_typez00,
		BgL_bgl_za762lambda1241za7621521z00, BGl_z62lambda1241z62zztype_typez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1457z00zztype_typez00,
		BgL_bgl_za762za7c3anonymousza71522za7,
		BGl_z62zc3anonymousza31252ze3ze1zztype_typez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1458z00zztype_typez00,
		BgL_bgl_za762lambda1251za7621523z00, BGl_z62lambda1251z62zztype_typez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1459z00zztype_typez00,
		BgL_bgl_za762lambda1250za7621524z00, BGl_z62lambda1250z62zztype_typez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2locationzd2envz00zztype_typez00,
		BgL_bgl_za762typeza7d2locati1525z00,
		BGl_z62typezd2locationzb0zztype_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1460z00zztype_typez00,
		BgL_bgl_za762za7c3anonymousza71526za7,
		BGl_z62zc3anonymousza31262ze3ze1zztype_typez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_typezd2magiczf3zd2setz12zd2envz33zztype_typez00,
		BgL_bgl_za762typeza7d2magicza71527za7,
		BGl_z62typezd2magiczf3zd2setz12z83zztype_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1461z00zztype_typez00,
		BgL_bgl_za762lambda1261za7621528z00, BGl_z62lambda1261z62zztype_typez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1462z00zztype_typez00,
		BgL_bgl_za762lambda1260za7621529z00, BGl_z62lambda1260z62zztype_typez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1463z00zztype_typez00,
		BgL_bgl_za762za7c3anonymousza71530za7,
		BGl_z62zc3anonymousza31274ze3ze1zztype_typez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1464z00zztype_typez00,
		BgL_bgl_za762lambda1273za7621531z00, BGl_z62lambda1273z62zztype_typez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2z42zd2setz12zd2envz82zztype_typez00,
		BgL_bgl_za762typeza7d2za742za7d21532z00,
		BGl_z62typezd2z42zd2setz12z32zztype_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1465z00zztype_typez00,
		BgL_bgl_za762lambda1272za7621533z00, BGl_z62lambda1272z62zztype_typez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1466z00zztype_typez00,
		BgL_bgl_za762lambda1300za7621534z00, BGl_z62lambda1300z62zztype_typez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1467z00zztype_typez00,
		BgL_bgl_za762lambda1299za7621535z00, BGl_z62lambda1299z62zztype_typez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1468z00zztype_typez00,
		BgL_bgl_za762za7c3anonymousza71536za7,
		BGl_z62zc3anonymousza31311ze3ze1zztype_typez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1469z00zztype_typez00,
		BgL_bgl_za762lambda1310za7621537z00, BGl_z62lambda1310z62zztype_typez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_typezd2locationzd2setz12zd2envzc0zztype_typez00,
		BgL_bgl_za762typeza7d2locati1538z00,
		BGl_z62typezd2locationzd2setz12z70zztype_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1470z00zztype_typez00,
		BgL_bgl_za762lambda1309za7621539z00, BGl_z62lambda1309z62zztype_typez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1471z00zztype_typez00,
		BgL_bgl_za762za7c3anonymousza71540za7,
		BGl_z62zc3anonymousza31318ze3ze1zztype_typez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1472z00zztype_typez00,
		BgL_bgl_za762lambda1317za7621541z00, BGl_z62lambda1317z62zztype_typez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1473z00zztype_typez00,
		BgL_bgl_za762lambda1316za7621542z00, BGl_z62lambda1316z62zztype_typez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1474z00zztype_typez00,
		BgL_bgl_za762za7c3anonymousza71543za7,
		BGl_z62zc3anonymousza31367ze3ze1zztype_typez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1475z00zztype_typez00,
		BgL_bgl_za762lambda1366za7621544z00, BGl_z62lambda1366z62zztype_typez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1476z00zztype_typez00,
		BgL_bgl_za762lambda1365za7621545z00, BGl_z62lambda1365z62zztype_typez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1477z00zztype_typez00,
		BgL_bgl_za762za7c3anonymousza71546za7,
		BGl_z62zc3anonymousza31384ze3ze1zztype_typez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1478z00zztype_typez00,
		BgL_bgl_za762lambda1383za7621547z00, BGl_z62lambda1383z62zztype_typez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1479z00zztype_typez00,
		BgL_bgl_za762lambda1382za7621548z00, BGl_z62lambda1382z62zztype_typez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_typezd2coercezd2tozd2setz12zd2envz12zztype_typez00,
		BgL_bgl_za762typeza7d2coerce1549z00,
		BGl_z62typezd2coercezd2tozd2setz12za2zztype_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1480z00zztype_typez00,
		BgL_bgl_za762za7c3anonymousza71550za7,
		BGl_z62zc3anonymousza31406ze3ze1zztype_typez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1481z00zztype_typez00,
		BgL_bgl_za762lambda1405za7621551z00, BGl_z62lambda1405z62zztype_typez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1482z00zztype_typez00,
		BgL_bgl_za762lambda1404za7621552z00, BGl_z62lambda1404z62zztype_typez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1483z00zztype_typez00,
		BgL_bgl_za762za7c3anonymousza71553za7,
		BGl_z62zc3anonymousza31421ze3ze1zztype_typez00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1490z00zztype_typez00,
		BgL_bgl_string1490za700za7za7t1554za7, "type-occurrence-incr1130", 24);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1484z00zztype_typez00,
		BgL_bgl_za762lambda1420za7621555z00, BGl_z62lambda1420z62zztype_typez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1491z00zztype_typez00,
		BgL_bgl_string1491za700za7za7t1556za7, "type_type", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1485z00zztype_typez00,
		BgL_bgl_za762lambda1419za7621557z00, BGl_z62lambda1419z62zztype_typez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1492z00zztype_typez00,
		BgL_bgl_string1492za700za7za7t1558za7,
		"_ type_type type symbol id name size class coerce-to parents init? bool magic? $ alias pointed-to-by tvector location obj import-location int occurrence C bigloo ",
		162);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1486z00zztype_typez00,
		BgL_bgl_za762za7c3anonymousza71559za7,
		BGl_z62zc3anonymousza31180ze3ze1zztype_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1487z00zztype_typez00,
		BgL_bgl_za762lambda1178za7621560z00, BGl_z62lambda1178z62zztype_typez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1488z00zztype_typez00,
		BgL_bgl_za762lambda1176za7621561z00, BGl_z62lambda1176z62zztype_typez00, 0L,
		BUNSPEC, 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1489z00zztype_typez00,
		BgL_bgl_za762typeza7d2occurr1562z00,
		BGl_z62typezd2occurrencezd2incr1130z62zztype_typez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_typezd2occurrencezd2setz12zd2envzc0zztype_typez00,
		BgL_bgl_za762typeza7d2occurr1563z00,
		BGl_z62typezd2occurrencezd2setz12z70zztype_typez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_typezd2tvectorzd2setz12zd2envzc0zztype_typez00,
		BgL_bgl_za762typeza7d2tvecto1564z00,
		BGl_z62typezd2tvectorzd2setz12z70zztype_typez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_foreignzd2typezf3zd2envzf3zztype_typez00,
		BgL_bgl_za762foreignza7d2typ1565z00,
		BGl_z62foreignzd2typezf3z43zztype_typez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2namezd2setz12zd2envzc0zztype_typez00,
		BgL_bgl_za762typeza7d2nameza7d1566za7,
		BGl_z62typezd2namezd2setz12z70zztype_typez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_typezd2classzd2setz12zd2envzc0zztype_typez00,
		BgL_bgl_za762typeza7d2classza71567za7,
		BGl_z62typezd2classzd2setz12z70zztype_typez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_typezd2importzd2locationzd2setz12zd2envz12zztype_typez00,
		BgL_bgl_za762typeza7d2import1568z00,
		BGl_z62typezd2importzd2locationzd2setz12za2zztype_typez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2parentszd2envz00zztype_typez00,
		BgL_bgl_za762typeza7d2parent1569z00, BGl_z62typezd2parentszb0zztype_typez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2z42zd2envz42zztype_typez00,
		BgL_bgl_za762typeza7d2za742za7f21570z00, BGl_z62typezd2z42zf2zztype_typez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_typezd2pointedzd2tozd2byzd2setz12zd2envzc0zztype_typez00,
		BgL_bgl_za762typeza7d2pointe1571z00,
		BGl_z62typezd2pointedzd2tozd2byzd2setz12z70zztype_typez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezf3zd2envz21zztype_typez00,
		BgL_bgl_za762typeza7f3za791za7za7t1572za7, BGl_z62typezf3z91zztype_typez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_typezd2pointedzd2tozd2byzd2envz00zztype_typez00,
		BgL_bgl_za762typeza7d2pointe1573z00,
		BGl_z62typezd2pointedzd2tozd2byzb0zztype_typez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_typezd2occurrencezd2incrementz12zd2envzc0zztype_typez00,
		BgL_bgl_za762typeza7d2occurr1574z00,
		BGl_z62typezd2occurrencezd2incrementz12z70zztype_typez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2idzd2envz00zztype_typez00,
		BgL_bgl_za762typeza7d2idza7b0za71575z00, BGl_z62typezd2idzb0zztype_typez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2aliasedzd2typezd2envzd2zztype_typez00,
		BgL_bgl_za762getza7d2aliased1576z00,
		BGl_z62getzd2aliasedzd2typez62zztype_typez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_typezd2aliaszd2setz12zd2envzc0zztype_typez00,
		BgL_bgl_za762typeza7d2aliasza71577za7,
		BGl_z62typezd2aliaszd2setz12z70zztype_typez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2siza7ezd2envza7zztype_typez00,
		BgL_bgl_za762typeza7d2siza7a7e1578za7,
		BGl_z62typezd2siza7ez17zztype_typez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2occurrencezd2envz00zztype_typez00,
		BgL_bgl_za762typeza7d2occurr1579z00,
		BGl_z62typezd2occurrencezb0zztype_typez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2classzd2envz00zztype_typez00,
		BgL_bgl_za762typeza7d2classza71580za7, BGl_z62typezd2classzb0zztype_typez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2initzf3zd2envzf3zztype_typez00,
		BgL_bgl_za762typeza7d2initza7f1581za7,
		BGl_z62typezd2initzf3z43zztype_typez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long
		BgL_checksumz00_938, char *BgL_fromz00_939)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztype_typez00))
				{
					BGl_requirezd2initializa7ationz75zztype_typez00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztype_typez00();
					BGl_cnstzd2initzd2zztype_typez00();
					BGl_importedzd2moduleszd2initz00zztype_typez00();
					BGl_objectzd2initzd2zztype_typez00();
					BGl_genericzd2initzd2zztype_typez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztype_typez00()
	{
		AN_OBJECT;
		{	/* Type/type.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "type_type");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "type_type");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"type_type");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"type_type");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztype_typez00()
	{
		AN_OBJECT;
		{	/* Type/type.scm 15 */
			{	/* Type/type.scm 15 */
				obj_t BgL_cportz00_810;

				BgL_cportz00_810 =
					bgl_open_input_string(BGl_string1492z00zztype_typez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_811;

					BgL_iz00_811 = ((long) 23);
				BgL_loopz00_812:
					if ((BgL_iz00_811 == ((long) -1)))
						{	/* Type/type.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Type/type.scm 15 */
							{	/* Type/type.scm 15 */
								obj_t BgL_arg1494z00_814;

								{	/* Type/type.scm 15 */

									{	/* Type/type.scm 15 */
										obj_t BgL_locationz00_816;

										BgL_locationz00_816 = BBOOL(((bool_t) 0));
										{	/* Type/type.scm 15 */

											BgL_arg1494z00_814 =
												BGl_readz00zz__readerz00(BgL_cportz00_810,
												BgL_locationz00_816);
										}
									}
								}
								{	/* Type/type.scm 15 */
									int BgL_auxz00_958;

									BgL_auxz00_958 = (int) (BgL_iz00_811);
									CNST_TABLE_SET(BgL_auxz00_958, BgL_arg1494z00_814);
							}}
							{	/* Type/type.scm 15 */
								int BgL_auxz00_817;

								BgL_auxz00_817 = (int) ((BgL_iz00_811 - ((long) 1)));
								{
									long BgL_iz00_963;

									BgL_iz00_963 = (long) (BgL_auxz00_817);
									BgL_iz00_811 = BgL_iz00_963;
									goto BgL_loopz00_812;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztype_typez00()
	{
		AN_OBJECT;
		{	/* Type/type.scm 15 */
			return BUNSPEC;
		}
	}



/* make-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt BGl_makezd2typezd2zztype_typez00(obj_t
		BgL_id1113z00_3, obj_t BgL_name1114z00_4, obj_t BgL_siza7e1115za7_5,
		obj_t BgL_class1116z00_6, obj_t BgL_coercezd2to1117zd2_7,
		obj_t BgL_parents1118z00_8, bool_t BgL_initzf31119zf3_9,
		bool_t BgL_magiczf31120zf3_10, obj_t BgL_z421121z42_11,
		obj_t BgL_alias1122z00_12, obj_t BgL_pointedzd2tozd2by1123z00_13,
		obj_t BgL_tvector1124z00_14, obj_t BgL_location1125z00_15,
		obj_t BgL_importzd2location1126zd2_16, int BgL_occurrence1127z00_17)
	{
		AN_OBJECT;
		{	/* Type/type.sch 50 */
			{	/* Type/type.sch 50 */
				BgL_typez00_bglt BgL_new1064z00_818;

				{	/* Type/type.sch 50 */
					BgL_typez00_bglt BgL_new1063z00_819;

					BgL_new1063z00_819 =
						((BgL_typez00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_typez00_bgl))));
					{	/* Type/type.sch 50 */
						long BgL_arg1152z00_820;

						{	/* Type/type.sch 50 */
							long BgL_res1430z00_821;

							{	/* Type/type.sch 50 */
								obj_t BgL_classz00_822;

								BgL_classz00_822 = BGl_typez00zztype_typez00;
								{	/* Type/type.sch 50 */
									obj_t BgL_vectorz00_823;
									int BgL_kz00_824;

									BgL_vectorz00_823 = BgL_classz00_822;
									BgL_kz00_824 = (int) (((long) 1));
									BgL_res1430z00_821 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_823, BgL_kz00_824));
							}}
							BgL_arg1152z00_820 = BgL_res1430z00_821;
						}
						{	/* Type/type.sch 50 */
							BgL_objectz00_bglt BgL_objz00_825;

							BgL_objz00_825 = ((BgL_objectz00_bglt) BgL_new1063z00_819);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_825, BgL_arg1152z00_820);
					}}
					{	/* Type/type.sch 50 */
						BgL_objectz00_bglt BgL_auxz00_971;

						BgL_auxz00_971 = ((BgL_objectz00_bglt) BgL_new1063z00_819);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_971, BFALSE);
					}
					BgL_new1064z00_818 = BgL_new1063z00_819;
				}
				((((BgL_typez00_bglt) CREF(BgL_new1064z00_818))->BgL_idz00) =
					((obj_t) BgL_id1113z00_3), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_new1064z00_818))->BgL_namez00) =
					((obj_t) BgL_name1114z00_4), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_new1064z00_818))->BgL_siza7eza7) =
					((obj_t) BgL_siza7e1115za7_5), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_new1064z00_818))->BgL_classz00) =
					((obj_t) BgL_class1116z00_6), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_new1064z00_818))->BgL_coercezd2tozd2) =
					((obj_t) BgL_coercezd2to1117zd2_7), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_new1064z00_818))->BgL_parentsz00) =
					((obj_t) BgL_parents1118z00_8), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_new1064z00_818))->BgL_initzf3zf3) =
					((bool_t) BgL_initzf31119zf3_9), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_new1064z00_818))->BgL_magiczf3zf3) =
					((bool_t) BgL_magiczf31120zf3_10), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_new1064z00_818))->BgL_z42z42) =
					((obj_t) BgL_z421121z42_11), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_new1064z00_818))->BgL_aliasz00) =
					((obj_t) BgL_alias1122z00_12), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_new1064z00_818))->
						BgL_pointedzd2tozd2byz00) =
					((obj_t) BgL_pointedzd2tozd2by1123z00_13), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_new1064z00_818))->BgL_tvectorz00) =
					((obj_t) BgL_tvector1124z00_14), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_new1064z00_818))->BgL_locationz00) =
					((obj_t) BgL_location1125z00_15), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_new1064z00_818))->
						BgL_importzd2locationzd2) =
					((obj_t) BgL_importzd2location1126zd2_16), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_new1064z00_818))->BgL_occurrencez00) =
					((int) BgL_occurrence1127z00_17), BUNSPEC);
				return BgL_new1064z00_818;
			}
		}
	}



/* &make-type */
	BgL_typez00_bglt BGl_z62makezd2typezb0zztype_typez00(obj_t BgL_envz00_553,
		obj_t BgL_id1113z00_554, obj_t BgL_name1114z00_555,
		obj_t BgL_siza7e1115za7_556, obj_t BgL_class1116z00_557,
		obj_t BgL_coercezd2to1117zd2_558, obj_t BgL_parents1118z00_559,
		obj_t BgL_initzf31119zf3_560, obj_t BgL_magiczf31120zf3_561,
		obj_t BgL_z421121z42_562, obj_t BgL_alias1122z00_563,
		obj_t BgL_pointedzd2tozd2by1123z00_564, obj_t BgL_tvector1124z00_565,
		obj_t BgL_location1125z00_566, obj_t BgL_importzd2location1126zd2_567,
		obj_t BgL_occurrence1127z00_568)
	{
		AN_OBJECT;
		{	/* Type/type.sch 50 */
			{	/* Type/type.sch 50 */
				obj_t BgL_id1113z00_826;
				bool_t BgL_initzf31119zf3_832;
				bool_t BgL_magiczf31120zf3_833;
				int BgL_occurrence1127z00_840;

				BgL_id1113z00_826 = BgL_id1113z00_554;
				BgL_initzf31119zf3_832 = CBOOL(BgL_initzf31119zf3_560);
				BgL_magiczf31120zf3_833 = CBOOL(BgL_magiczf31120zf3_561);
				BgL_occurrence1127z00_840 = CINT(BgL_occurrence1127z00_568);
				{	/* Type/type.sch 50 */
					BgL_typez00_bglt BgL_new1064z00_841;

					{	/* Type/type.sch 50 */
						BgL_typez00_bglt BgL_new1063z00_842;

						BgL_new1063z00_842 =
							((BgL_typez00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_typez00_bgl))));
						{	/* Type/type.sch 50 */
							long BgL_arg1152z00_843;

							{	/* Type/type.sch 50 */
								long BgL_res1430z00_844;

								{	/* Type/type.sch 50 */
									obj_t BgL_classz00_845;

									BgL_classz00_845 = BGl_typez00zztype_typez00;
									{	/* Type/type.sch 50 */
										obj_t BgL_vectorz00_846;
										int BgL_kz00_847;

										BgL_vectorz00_846 = BgL_classz00_845;
										BgL_kz00_847 = (int) (((long) 1));
										BgL_res1430z00_844 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_846, BgL_kz00_847));
								}}
								BgL_arg1152z00_843 = BgL_res1430z00_844;
							}
							{	/* Type/type.sch 50 */
								BgL_objectz00_bglt BgL_objz00_848;

								BgL_objz00_848 = ((BgL_objectz00_bglt) BgL_new1063z00_842);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_848, BgL_arg1152z00_843);
						}}
						{	/* Type/type.sch 50 */
							BgL_objectz00_bglt BgL_auxz00_998;

							BgL_auxz00_998 = ((BgL_objectz00_bglt) BgL_new1063z00_842);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_998, BFALSE);
						}
						BgL_new1064z00_841 = BgL_new1063z00_842;
					}
					((((BgL_typez00_bglt) CREF(BgL_new1064z00_841))->BgL_idz00) =
						((obj_t) BgL_id1113z00_826), BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_new1064z00_841))->BgL_namez00) =
						((obj_t) BgL_name1114z00_555), BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_new1064z00_841))->BgL_siza7eza7) =
						((obj_t) BgL_siza7e1115za7_556), BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_new1064z00_841))->BgL_classz00) =
						((obj_t) BgL_class1116z00_557), BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_new1064z00_841))->BgL_coercezd2tozd2) =
						((obj_t) BgL_coercezd2to1117zd2_558), BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_new1064z00_841))->BgL_parentsz00) =
						((obj_t) BgL_parents1118z00_559), BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_new1064z00_841))->BgL_initzf3zf3) =
						((bool_t) BgL_initzf31119zf3_832), BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_new1064z00_841))->BgL_magiczf3zf3) =
						((bool_t) BgL_magiczf31120zf3_833), BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_new1064z00_841))->BgL_z42z42) =
						((obj_t) BgL_z421121z42_562), BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_new1064z00_841))->BgL_aliasz00) =
						((obj_t) BgL_alias1122z00_563), BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_new1064z00_841))->
							BgL_pointedzd2tozd2byz00) =
						((obj_t) BgL_pointedzd2tozd2by1123z00_564), BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_new1064z00_841))->BgL_tvectorz00) =
						((obj_t) BgL_tvector1124z00_565), BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_new1064z00_841))->BgL_locationz00) =
						((obj_t) BgL_location1125z00_566), BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_new1064z00_841))->
							BgL_importzd2locationzd2) =
						((obj_t) BgL_importzd2location1126zd2_567), BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_new1064z00_841))->BgL_occurrencez00) =
						((int) BgL_occurrence1127z00_840), BUNSPEC);
					return BgL_new1064z00_841;
				}
			}
		}
	}



/* type? */
	BGL_EXPORTED_DEF bool_t BGl_typezf3zf3zztype_typez00(obj_t BgL_objz00_18)
	{
		AN_OBJECT;
		{	/* Type/type.sch 51 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_18, BGl_typez00zztype_typez00);
		}
	}



/* &type? */
	obj_t BGl_z62typezf3z91zztype_typez00(obj_t BgL_envz00_569,
		obj_t BgL_objz00_570)
	{
		AN_OBJECT;
		{	/* Type/type.sch 51 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_570,
					BGl_typez00zztype_typez00));
		}
	}



/* type-nil */
	BGL_EXPORTED_DEF BgL_typez00_bglt BGl_typezd2nilzd2zztype_typez00()
	{
		AN_OBJECT;
		{	/* Type/type.sch 52 */
			return
				((BgL_typez00_bglt)
				BGl_classzd2nilzd2zz__objectz00(BGl_typez00zztype_typez00));
		}
	}



/* &type-nil */
	BgL_typez00_bglt BGl_z62typezd2nilzb0zztype_typez00(obj_t BgL_envz00_571)
	{
		AN_OBJECT;
		{	/* Type/type.sch 52 */
			return BGl_typezd2nilzd2zztype_typez00();
		}
	}



/* type-occurrence */
	BGL_EXPORTED_DEF int BGl_typezd2occurrencezd2zztype_typez00(BgL_typez00_bglt
		BgL_oz00_19)
	{
		AN_OBJECT;
		{	/* Type/type.sch 53 */
			return (((BgL_typez00_bglt) CREF(BgL_oz00_19))->BgL_occurrencez00);
		}
	}



/* &type-occurrence */
	obj_t BGl_z62typezd2occurrencezb0zztype_typez00(obj_t BgL_envz00_572,
		obj_t BgL_oz00_573)
	{
		AN_OBJECT;
		{	/* Type/type.sch 53 */
			return
				BINT(
				(((BgL_typez00_bglt) CREF(
							((BgL_typez00_bglt) BgL_oz00_573)))->BgL_occurrencez00));
		}
	}



/* type-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_typezd2occurrencezd2setz12z12zztype_typez00(BgL_typez00_bglt
		BgL_oz00_20, int BgL_vz00_21)
	{
		AN_OBJECT;
		{	/* Type/type.sch 54 */
			return
				((((BgL_typez00_bglt) CREF(BgL_oz00_20))->BgL_occurrencez00) =
				((int) BgL_vz00_21), BUNSPEC);
		}
	}



/* &type-occurrence-set! */
	obj_t BGl_z62typezd2occurrencezd2setz12z70zztype_typez00(obj_t BgL_envz00_574,
		obj_t BgL_oz00_575, obj_t BgL_vz00_576)
	{
		AN_OBJECT;
		{	/* Type/type.sch 54 */
			{	/* Type/type.sch 54 */
				BgL_typez00_bglt BgL_oz00_851;
				int BgL_vz00_852;

				BgL_oz00_851 = ((BgL_typez00_bglt) BgL_oz00_575);
				BgL_vz00_852 = CINT(BgL_vz00_576);
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_851))->BgL_occurrencez00) =
					((int) BgL_vz00_852), BUNSPEC);
		}}
	}



/* type-import-location */
	BGL_EXPORTED_DEF obj_t
		BGl_typezd2importzd2locationz00zztype_typez00(BgL_typez00_bglt BgL_oz00_22)
	{
		AN_OBJECT;
		{	/* Type/type.sch 55 */
			return (((BgL_typez00_bglt) CREF(BgL_oz00_22))->BgL_importzd2locationzd2);
		}
	}



/* &type-import-location */
	obj_t BGl_z62typezd2importzd2locationz62zztype_typez00(obj_t BgL_envz00_577,
		obj_t BgL_oz00_578)
	{
		AN_OBJECT;
		{	/* Type/type.sch 55 */
			return
				(((BgL_typez00_bglt) CREF(
						((BgL_typez00_bglt) BgL_oz00_578)))->BgL_importzd2locationzd2);
		}
	}



/* type-import-location-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_typezd2importzd2locationzd2setz12zc0zztype_typez00(BgL_typez00_bglt
		BgL_oz00_23, obj_t BgL_vz00_24)
	{
		AN_OBJECT;
		{	/* Type/type.sch 56 */
			return
				((((BgL_typez00_bglt) CREF(BgL_oz00_23))->BgL_importzd2locationzd2) =
				((obj_t) BgL_vz00_24), BUNSPEC);
		}
	}



/* &type-import-location-set! */
	obj_t BGl_z62typezd2importzd2locationzd2setz12za2zztype_typez00(obj_t
		BgL_envz00_579, obj_t BgL_oz00_580, obj_t BgL_vz00_581)
	{
		AN_OBJECT;
		{	/* Type/type.sch 56 */
			{	/* Type/type.sch 56 */
				BgL_typez00_bglt BgL_oz00_854;

				BgL_oz00_854 = ((BgL_typez00_bglt) BgL_oz00_580);
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_854))->BgL_importzd2locationzd2) =
					((obj_t) BgL_vz00_581), BUNSPEC);
			}
		}
	}



/* type-location */
	BGL_EXPORTED_DEF obj_t BGl_typezd2locationzd2zztype_typez00(BgL_typez00_bglt
		BgL_oz00_25)
	{
		AN_OBJECT;
		{	/* Type/type.sch 57 */
			return (((BgL_typez00_bglt) CREF(BgL_oz00_25))->BgL_locationz00);
		}
	}



/* &type-location */
	obj_t BGl_z62typezd2locationzb0zztype_typez00(obj_t BgL_envz00_582,
		obj_t BgL_oz00_583)
	{
		AN_OBJECT;
		{	/* Type/type.sch 57 */
			return
				(((BgL_typez00_bglt) CREF(
						((BgL_typez00_bglt) BgL_oz00_583)))->BgL_locationz00);
		}
	}



/* type-location-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_typezd2locationzd2setz12z12zztype_typez00(BgL_typez00_bglt BgL_oz00_26,
		obj_t BgL_vz00_27)
	{
		AN_OBJECT;
		{	/* Type/type.sch 58 */
			return
				((((BgL_typez00_bglt) CREF(BgL_oz00_26))->BgL_locationz00) =
				((obj_t) BgL_vz00_27), BUNSPEC);
		}
	}



/* &type-location-set! */
	obj_t BGl_z62typezd2locationzd2setz12z70zztype_typez00(obj_t BgL_envz00_584,
		obj_t BgL_oz00_585, obj_t BgL_vz00_586)
	{
		AN_OBJECT;
		{	/* Type/type.sch 58 */
			{	/* Type/type.sch 58 */
				BgL_typez00_bglt BgL_oz00_857;

				BgL_oz00_857 = ((BgL_typez00_bglt) BgL_oz00_585);
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_857))->BgL_locationz00) =
					((obj_t) BgL_vz00_586), BUNSPEC);
			}
		}
	}



/* type-tvector */
	BGL_EXPORTED_DEF obj_t BGl_typezd2tvectorzd2zztype_typez00(BgL_typez00_bglt
		BgL_oz00_28)
	{
		AN_OBJECT;
		{	/* Type/type.sch 59 */
			return (((BgL_typez00_bglt) CREF(BgL_oz00_28))->BgL_tvectorz00);
		}
	}



/* &type-tvector */
	obj_t BGl_z62typezd2tvectorzb0zztype_typez00(obj_t BgL_envz00_587,
		obj_t BgL_oz00_588)
	{
		AN_OBJECT;
		{	/* Type/type.sch 59 */
			return
				(((BgL_typez00_bglt) CREF(
						((BgL_typez00_bglt) BgL_oz00_588)))->BgL_tvectorz00);
		}
	}



/* type-tvector-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_typezd2tvectorzd2setz12z12zztype_typez00(BgL_typez00_bglt BgL_oz00_29,
		obj_t BgL_vz00_30)
	{
		AN_OBJECT;
		{	/* Type/type.sch 60 */
			return
				((((BgL_typez00_bglt) CREF(BgL_oz00_29))->BgL_tvectorz00) =
				((obj_t) BgL_vz00_30), BUNSPEC);
		}
	}



/* &type-tvector-set! */
	obj_t BGl_z62typezd2tvectorzd2setz12z70zztype_typez00(obj_t BgL_envz00_589,
		obj_t BgL_oz00_590, obj_t BgL_vz00_591)
	{
		AN_OBJECT;
		{	/* Type/type.sch 60 */
			{	/* Type/type.sch 60 */
				BgL_typez00_bglt BgL_oz00_860;

				BgL_oz00_860 = ((BgL_typez00_bglt) BgL_oz00_590);
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_860))->BgL_tvectorz00) =
					((obj_t) BgL_vz00_591), BUNSPEC);
			}
		}
	}



/* type-pointed-to-by */
	BGL_EXPORTED_DEF obj_t
		BGl_typezd2pointedzd2tozd2byzd2zztype_typez00(BgL_typez00_bglt BgL_oz00_31)
	{
		AN_OBJECT;
		{	/* Type/type.sch 61 */
			return (((BgL_typez00_bglt) CREF(BgL_oz00_31))->BgL_pointedzd2tozd2byz00);
		}
	}



/* &type-pointed-to-by */
	obj_t BGl_z62typezd2pointedzd2tozd2byzb0zztype_typez00(obj_t BgL_envz00_592,
		obj_t BgL_oz00_593)
	{
		AN_OBJECT;
		{	/* Type/type.sch 61 */
			return
				(((BgL_typez00_bglt) CREF(
						((BgL_typez00_bglt) BgL_oz00_593)))->BgL_pointedzd2tozd2byz00);
		}
	}



/* type-pointed-to-by-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_typezd2pointedzd2tozd2byzd2setz12z12zztype_typez00(BgL_typez00_bglt
		BgL_oz00_32, obj_t BgL_vz00_33)
	{
		AN_OBJECT;
		{	/* Type/type.sch 62 */
			return
				((((BgL_typez00_bglt) CREF(BgL_oz00_32))->BgL_pointedzd2tozd2byz00) =
				((obj_t) BgL_vz00_33), BUNSPEC);
		}
	}



/* &type-pointed-to-by-set! */
	obj_t BGl_z62typezd2pointedzd2tozd2byzd2setz12z70zztype_typez00(obj_t
		BgL_envz00_594, obj_t BgL_oz00_595, obj_t BgL_vz00_596)
	{
		AN_OBJECT;
		{	/* Type/type.sch 62 */
			{	/* Type/type.sch 62 */
				BgL_typez00_bglt BgL_oz00_863;

				BgL_oz00_863 = ((BgL_typez00_bglt) BgL_oz00_595);
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_863))->BgL_pointedzd2tozd2byz00) =
					((obj_t) BgL_vz00_596), BUNSPEC);
			}
		}
	}



/* type-alias */
	BGL_EXPORTED_DEF obj_t BGl_typezd2aliaszd2zztype_typez00(BgL_typez00_bglt
		BgL_oz00_34)
	{
		AN_OBJECT;
		{	/* Type/type.sch 63 */
			return (((BgL_typez00_bglt) CREF(BgL_oz00_34))->BgL_aliasz00);
		}
	}



/* &type-alias */
	obj_t BGl_z62typezd2aliaszb0zztype_typez00(obj_t BgL_envz00_597,
		obj_t BgL_oz00_598)
	{
		AN_OBJECT;
		{	/* Type/type.sch 63 */
			return
				(((BgL_typez00_bglt) CREF(
						((BgL_typez00_bglt) BgL_oz00_598)))->BgL_aliasz00);
		}
	}



/* type-alias-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_typezd2aliaszd2setz12z12zztype_typez00(BgL_typez00_bglt BgL_oz00_35,
		obj_t BgL_vz00_36)
	{
		AN_OBJECT;
		{	/* Type/type.sch 64 */
			return
				((((BgL_typez00_bglt) CREF(BgL_oz00_35))->BgL_aliasz00) =
				((obj_t) BgL_vz00_36), BUNSPEC);
		}
	}



/* &type-alias-set! */
	obj_t BGl_z62typezd2aliaszd2setz12z70zztype_typez00(obj_t BgL_envz00_599,
		obj_t BgL_oz00_600, obj_t BgL_vz00_601)
	{
		AN_OBJECT;
		{	/* Type/type.sch 64 */
			{	/* Type/type.sch 64 */
				BgL_typez00_bglt BgL_oz00_866;

				BgL_oz00_866 = ((BgL_typez00_bglt) BgL_oz00_600);
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_866))->BgL_aliasz00) =
					((obj_t) BgL_vz00_601), BUNSPEC);
			}
		}
	}



/* type-$ */
	BGL_EXPORTED_DEF obj_t BGl_typezd2z42z90zztype_typez00(BgL_typez00_bglt
		BgL_oz00_37)
	{
		AN_OBJECT;
		{	/* Type/type.sch 65 */
			return (((BgL_typez00_bglt) CREF(BgL_oz00_37))->BgL_z42z42);
		}
	}



/* &type-$ */
	obj_t BGl_z62typezd2z42zf2zztype_typez00(obj_t BgL_envz00_602,
		obj_t BgL_oz00_603)
	{
		AN_OBJECT;
		{	/* Type/type.sch 65 */
			return
				(((BgL_typez00_bglt) CREF(
						((BgL_typez00_bglt) BgL_oz00_603)))->BgL_z42z42);
		}
	}



/* type-$-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_typezd2z42zd2setz12z50zztype_typez00(BgL_typez00_bglt BgL_oz00_38,
		obj_t BgL_vz00_39)
	{
		AN_OBJECT;
		{	/* Type/type.sch 66 */
			return
				((((BgL_typez00_bglt) CREF(BgL_oz00_38))->BgL_z42z42) =
				((obj_t) BgL_vz00_39), BUNSPEC);
		}
	}



/* &type-$-set! */
	obj_t BGl_z62typezd2z42zd2setz12z32zztype_typez00(obj_t BgL_envz00_604,
		obj_t BgL_oz00_605, obj_t BgL_vz00_606)
	{
		AN_OBJECT;
		{	/* Type/type.sch 66 */
			{	/* Type/type.sch 66 */
				BgL_typez00_bglt BgL_oz00_869;

				BgL_oz00_869 = ((BgL_typez00_bglt) BgL_oz00_605);
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_869))->BgL_z42z42) =
					((obj_t) BgL_vz00_606), BUNSPEC);
			}
		}
	}



/* type-magic? */
	BGL_EXPORTED_DEF bool_t BGl_typezd2magiczf3z21zztype_typez00(BgL_typez00_bglt
		BgL_oz00_40)
	{
		AN_OBJECT;
		{	/* Type/type.sch 67 */
			return (((BgL_typez00_bglt) CREF(BgL_oz00_40))->BgL_magiczf3zf3);
		}
	}



/* &type-magic? */
	obj_t BGl_z62typezd2magiczf3z43zztype_typez00(obj_t BgL_envz00_607,
		obj_t BgL_oz00_608)
	{
		AN_OBJECT;
		{	/* Type/type.sch 67 */
			return
				BBOOL(
				(((BgL_typez00_bglt) CREF(
							((BgL_typez00_bglt) BgL_oz00_608)))->BgL_magiczf3zf3));
		}
	}



/* type-magic?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_typezd2magiczf3zd2setz12ze1zztype_typez00(BgL_typez00_bglt BgL_oz00_41,
		bool_t BgL_vz00_42)
	{
		AN_OBJECT;
		{	/* Type/type.sch 68 */
			return
				((((BgL_typez00_bglt) CREF(BgL_oz00_41))->BgL_magiczf3zf3) =
				((bool_t) BgL_vz00_42), BUNSPEC);
		}
	}



/* &type-magic?-set! */
	obj_t BGl_z62typezd2magiczf3zd2setz12z83zztype_typez00(obj_t BgL_envz00_609,
		obj_t BgL_oz00_610, obj_t BgL_vz00_611)
	{
		AN_OBJECT;
		{	/* Type/type.sch 68 */
			{	/* Type/type.sch 68 */
				BgL_typez00_bglt BgL_oz00_872;
				bool_t BgL_vz00_873;

				BgL_oz00_872 = ((BgL_typez00_bglt) BgL_oz00_610);
				BgL_vz00_873 = CBOOL(BgL_vz00_611);
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_872))->BgL_magiczf3zf3) =
					((bool_t) BgL_vz00_873), BUNSPEC);
			}
		}
	}



/* type-init? */
	BGL_EXPORTED_DEF bool_t BGl_typezd2initzf3z21zztype_typez00(BgL_typez00_bglt
		BgL_oz00_43)
	{
		AN_OBJECT;
		{	/* Type/type.sch 69 */
			return (((BgL_typez00_bglt) CREF(BgL_oz00_43))->BgL_initzf3zf3);
		}
	}



/* &type-init? */
	obj_t BGl_z62typezd2initzf3z43zztype_typez00(obj_t BgL_envz00_612,
		obj_t BgL_oz00_613)
	{
		AN_OBJECT;
		{	/* Type/type.sch 69 */
			return
				BBOOL(
				(((BgL_typez00_bglt) CREF(
							((BgL_typez00_bglt) BgL_oz00_613)))->BgL_initzf3zf3));
		}
	}



/* type-init?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_typezd2initzf3zd2setz12ze1zztype_typez00(BgL_typez00_bglt BgL_oz00_44,
		bool_t BgL_vz00_45)
	{
		AN_OBJECT;
		{	/* Type/type.sch 70 */
			return
				((((BgL_typez00_bglt) CREF(BgL_oz00_44))->BgL_initzf3zf3) =
				((bool_t) BgL_vz00_45), BUNSPEC);
		}
	}



/* &type-init?-set! */
	obj_t BGl_z62typezd2initzf3zd2setz12z83zztype_typez00(obj_t BgL_envz00_614,
		obj_t BgL_oz00_615, obj_t BgL_vz00_616)
	{
		AN_OBJECT;
		{	/* Type/type.sch 70 */
			{	/* Type/type.sch 70 */
				BgL_typez00_bglt BgL_oz00_875;
				bool_t BgL_vz00_876;

				BgL_oz00_875 = ((BgL_typez00_bglt) BgL_oz00_615);
				BgL_vz00_876 = CBOOL(BgL_vz00_616);
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_875))->BgL_initzf3zf3) =
					((bool_t) BgL_vz00_876), BUNSPEC);
			}
		}
	}



/* type-parents */
	BGL_EXPORTED_DEF obj_t BGl_typezd2parentszd2zztype_typez00(BgL_typez00_bglt
		BgL_oz00_46)
	{
		AN_OBJECT;
		{	/* Type/type.sch 71 */
			return (((BgL_typez00_bglt) CREF(BgL_oz00_46))->BgL_parentsz00);
		}
	}



/* &type-parents */
	obj_t BGl_z62typezd2parentszb0zztype_typez00(obj_t BgL_envz00_617,
		obj_t BgL_oz00_618)
	{
		AN_OBJECT;
		{	/* Type/type.sch 71 */
			return
				(((BgL_typez00_bglt) CREF(
						((BgL_typez00_bglt) BgL_oz00_618)))->BgL_parentsz00);
		}
	}



/* type-parents-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_typezd2parentszd2setz12z12zztype_typez00(BgL_typez00_bglt BgL_oz00_47,
		obj_t BgL_vz00_48)
	{
		AN_OBJECT;
		{	/* Type/type.sch 72 */
			return
				((((BgL_typez00_bglt) CREF(BgL_oz00_47))->BgL_parentsz00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}
	}



/* &type-parents-set! */
	obj_t BGl_z62typezd2parentszd2setz12z70zztype_typez00(obj_t BgL_envz00_619,
		obj_t BgL_oz00_620, obj_t BgL_vz00_621)
	{
		AN_OBJECT;
		{	/* Type/type.sch 72 */
			{	/* Type/type.sch 72 */
				BgL_typez00_bglt BgL_oz00_878;

				BgL_oz00_878 = ((BgL_typez00_bglt) BgL_oz00_620);
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_878))->BgL_parentsz00) =
					((obj_t) BgL_vz00_621), BUNSPEC);
			}
		}
	}



/* type-coerce-to */
	BGL_EXPORTED_DEF obj_t
		BGl_typezd2coercezd2toz00zztype_typez00(BgL_typez00_bglt BgL_oz00_49)
	{
		AN_OBJECT;
		{	/* Type/type.sch 73 */
			return (((BgL_typez00_bglt) CREF(BgL_oz00_49))->BgL_coercezd2tozd2);
		}
	}



/* &type-coerce-to */
	obj_t BGl_z62typezd2coercezd2toz62zztype_typez00(obj_t BgL_envz00_622,
		obj_t BgL_oz00_623)
	{
		AN_OBJECT;
		{	/* Type/type.sch 73 */
			return
				(((BgL_typez00_bglt) CREF(
						((BgL_typez00_bglt) BgL_oz00_623)))->BgL_coercezd2tozd2);
		}
	}



/* type-coerce-to-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_typezd2coercezd2tozd2setz12zc0zztype_typez00(BgL_typez00_bglt
		BgL_oz00_50, obj_t BgL_vz00_51)
	{
		AN_OBJECT;
		{	/* Type/type.sch 74 */
			return
				((((BgL_typez00_bglt) CREF(BgL_oz00_50))->BgL_coercezd2tozd2) =
				((obj_t) BgL_vz00_51), BUNSPEC);
		}
	}



/* &type-coerce-to-set! */
	obj_t BGl_z62typezd2coercezd2tozd2setz12za2zztype_typez00(obj_t
		BgL_envz00_624, obj_t BgL_oz00_625, obj_t BgL_vz00_626)
	{
		AN_OBJECT;
		{	/* Type/type.sch 74 */
			{	/* Type/type.sch 74 */
				BgL_typez00_bglt BgL_oz00_881;

				BgL_oz00_881 = ((BgL_typez00_bglt) BgL_oz00_625);
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_881))->BgL_coercezd2tozd2) =
					((obj_t) BgL_vz00_626), BUNSPEC);
			}
		}
	}



/* type-class */
	BGL_EXPORTED_DEF obj_t BGl_typezd2classzd2zztype_typez00(BgL_typez00_bglt
		BgL_oz00_52)
	{
		AN_OBJECT;
		{	/* Type/type.sch 75 */
			return (((BgL_typez00_bglt) CREF(BgL_oz00_52))->BgL_classz00);
		}
	}



/* &type-class */
	obj_t BGl_z62typezd2classzb0zztype_typez00(obj_t BgL_envz00_627,
		obj_t BgL_oz00_628)
	{
		AN_OBJECT;
		{	/* Type/type.sch 75 */
			return
				(((BgL_typez00_bglt) CREF(
						((BgL_typez00_bglt) BgL_oz00_628)))->BgL_classz00);
		}
	}



/* type-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_typezd2classzd2setz12z12zztype_typez00(BgL_typez00_bglt BgL_oz00_53,
		obj_t BgL_vz00_54)
	{
		AN_OBJECT;
		{	/* Type/type.sch 76 */
			return
				((((BgL_typez00_bglt) CREF(BgL_oz00_53))->BgL_classz00) =
				((obj_t) BgL_vz00_54), BUNSPEC);
		}
	}



/* &type-class-set! */
	obj_t BGl_z62typezd2classzd2setz12z70zztype_typez00(obj_t BgL_envz00_629,
		obj_t BgL_oz00_630, obj_t BgL_vz00_631)
	{
		AN_OBJECT;
		{	/* Type/type.sch 76 */
			{	/* Type/type.sch 76 */
				BgL_typez00_bglt BgL_oz00_884;

				BgL_oz00_884 = ((BgL_typez00_bglt) BgL_oz00_630);
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_884))->BgL_classz00) =
					((obj_t) BgL_vz00_631), BUNSPEC);
			}
		}
	}



/* type-size */
	BGL_EXPORTED_DEF obj_t BGl_typezd2siza7ez75zztype_typez00(BgL_typez00_bglt
		BgL_oz00_55)
	{
		AN_OBJECT;
		{	/* Type/type.sch 77 */
			return (((BgL_typez00_bglt) CREF(BgL_oz00_55))->BgL_siza7eza7);
		}
	}



/* &type-size */
	obj_t BGl_z62typezd2siza7ez17zztype_typez00(obj_t BgL_envz00_632,
		obj_t BgL_oz00_633)
	{
		AN_OBJECT;
		{	/* Type/type.sch 77 */
			return
				(((BgL_typez00_bglt) CREF(
						((BgL_typez00_bglt) BgL_oz00_633)))->BgL_siza7eza7);
		}
	}



/* type-size-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_typezd2siza7ezd2setz12zb5zztype_typez00(BgL_typez00_bglt BgL_oz00_56,
		obj_t BgL_vz00_57)
	{
		AN_OBJECT;
		{	/* Type/type.sch 78 */
			return
				((((BgL_typez00_bglt) CREF(BgL_oz00_56))->BgL_siza7eza7) =
				((obj_t) BgL_vz00_57), BUNSPEC);
		}
	}



/* &type-size-set! */
	obj_t BGl_z62typezd2siza7ezd2setz12zd7zztype_typez00(obj_t BgL_envz00_634,
		obj_t BgL_oz00_635, obj_t BgL_vz00_636)
	{
		AN_OBJECT;
		{	/* Type/type.sch 78 */
			{	/* Type/type.sch 78 */
				BgL_typez00_bglt BgL_oz00_887;

				BgL_oz00_887 = ((BgL_typez00_bglt) BgL_oz00_635);
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_887))->BgL_siza7eza7) =
					((obj_t) BgL_vz00_636), BUNSPEC);
			}
		}
	}



/* type-name */
	BGL_EXPORTED_DEF obj_t BGl_typezd2namezd2zztype_typez00(BgL_typez00_bglt
		BgL_oz00_58)
	{
		AN_OBJECT;
		{	/* Type/type.sch 79 */
			return (((BgL_typez00_bglt) CREF(BgL_oz00_58))->BgL_namez00);
		}
	}



/* &type-name */
	obj_t BGl_z62typezd2namezb0zztype_typez00(obj_t BgL_envz00_637,
		obj_t BgL_oz00_638)
	{
		AN_OBJECT;
		{	/* Type/type.sch 79 */
			return
				(((BgL_typez00_bglt) CREF(
						((BgL_typez00_bglt) BgL_oz00_638)))->BgL_namez00);
		}
	}



/* type-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_typezd2namezd2setz12z12zztype_typez00(BgL_typez00_bglt BgL_oz00_59,
		obj_t BgL_vz00_60)
	{
		AN_OBJECT;
		{	/* Type/type.sch 80 */
			return
				((((BgL_typez00_bglt) CREF(BgL_oz00_59))->BgL_namez00) =
				((obj_t) BgL_vz00_60), BUNSPEC);
		}
	}



/* &type-name-set! */
	obj_t BGl_z62typezd2namezd2setz12z70zztype_typez00(obj_t BgL_envz00_639,
		obj_t BgL_oz00_640, obj_t BgL_vz00_641)
	{
		AN_OBJECT;
		{	/* Type/type.sch 80 */
			{	/* Type/type.sch 80 */
				BgL_typez00_bglt BgL_oz00_890;

				BgL_oz00_890 = ((BgL_typez00_bglt) BgL_oz00_640);
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_890))->BgL_namez00) =
					((obj_t) BgL_vz00_641), BUNSPEC);
			}
		}
	}



/* type-id */
	BGL_EXPORTED_DEF obj_t BGl_typezd2idzd2zztype_typez00(BgL_typez00_bglt
		BgL_oz00_61)
	{
		AN_OBJECT;
		{	/* Type/type.sch 81 */
			return (((BgL_typez00_bglt) CREF(BgL_oz00_61))->BgL_idz00);
		}
	}



/* &type-id */
	obj_t BGl_z62typezd2idzb0zztype_typez00(obj_t BgL_envz00_642,
		obj_t BgL_oz00_643)
	{
		AN_OBJECT;
		{	/* Type/type.sch 81 */
			return
				(((BgL_typez00_bglt) CREF(
						((BgL_typez00_bglt) BgL_oz00_643)))->BgL_idz00);
		}
	}



/* get-aliased-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_typez00_bglt BgL_typez00_64)
	{
		AN_OBJECT;
		{	/* Type/type.scm 62 */
			{
				obj_t BgL_typez00_110;

				{
					obj_t BgL_auxz00_1115;

					BgL_typez00_110 = ((obj_t) BgL_typez00_64);
				BgL_zc3anonymousza31153ze3z83_111:
					{	/* Type/type.scm 64 */
						bool_t BgL_testz00_1116;

						{	/* Type/type.scm 64 */
							obj_t BgL_arg1168z00_114;

							BgL_arg1168z00_114 =
								(((BgL_typez00_bglt) CREF(
										((BgL_typez00_bglt) BgL_typez00_110)))->BgL_aliasz00);
							BgL_testz00_1116 =
								BGl_isazf3zf3zz__objectz00(BgL_arg1168z00_114,
								BGl_typez00zztype_typez00);
						}
						if (BgL_testz00_1116)
							{
								obj_t BgL_typez00_1120;

								BgL_typez00_1120 =
									(((BgL_typez00_bglt) CREF(
											((BgL_typez00_bglt) BgL_typez00_110)))->BgL_aliasz00);
								BgL_typez00_110 = BgL_typez00_1120;
								goto BgL_zc3anonymousza31153ze3z83_111;
							}
						else
							{	/* Type/type.scm 64 */
								BgL_auxz00_1115 = BgL_typez00_110;
							}
					}
					return ((BgL_typez00_bglt) BgL_auxz00_1115);
				}
			}
		}
	}



/* &get-aliased-type */
	BgL_typez00_bglt BGl_z62getzd2aliasedzd2typez62zztype_typez00(obj_t
		BgL_envz00_644, obj_t BgL_typez00_645)
	{
		AN_OBJECT;
		{	/* Type/type.scm 62 */
			return
				BGl_getzd2aliasedzd2typez00zztype_typez00(
				((BgL_typez00_bglt) BgL_typez00_645));
		}
	}



/* bigloo-type? */
	BGL_EXPORTED_DEF bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt
		BgL_typez00_65)
	{
		AN_OBJECT;
		{	/* Type/type.scm 71 */
			return
				(
				(((BgL_typez00_bglt) CREF(BgL_typez00_65))->BgL_classz00) ==
				CNST_TABLE_REF(((long) 0)));
		}
	}



/* &bigloo-type? */
	obj_t BGl_z62bigloozd2typezf3z43zztype_typez00(obj_t BgL_envz00_646,
		obj_t BgL_typez00_647)
	{
		AN_OBJECT;
		{	/* Type/type.scm 71 */
			return
				BBOOL(BGl_bigloozd2typezf3z21zztype_typez00(
					((BgL_typez00_bglt) BgL_typez00_647)));
		}
	}



/* foreign-type? */
	BGL_EXPORTED_DEF bool_t
		BGl_foreignzd2typezf3z21zztype_typez00(BgL_typez00_bglt BgL_typez00_66)
	{
		AN_OBJECT;
		{	/* Type/type.scm 77 */
			return
				(
				(((BgL_typez00_bglt) CREF(BgL_typez00_66))->BgL_classz00) ==
				CNST_TABLE_REF(((long) 1)));
		}
	}



/* &foreign-type? */
	obj_t BGl_z62foreignzd2typezf3z43zztype_typez00(obj_t BgL_envz00_648,
		obj_t BgL_typez00_649)
	{
		AN_OBJECT;
		{	/* Type/type.scm 77 */
			return
				BBOOL(BGl_foreignzd2typezf3z21zztype_typez00(
					((BgL_typez00_bglt) BgL_typez00_649)));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztype_typez00()
	{
		AN_OBJECT;
		{	/* Type/type.scm 15 */
			{	/* Type/type.scm 21 */
				obj_t BgL_arg1174z00_121;
				obj_t BgL_arg1175z00_122;

				{	/* Type/type.scm 21 */
					obj_t BgL_v1128z00_147;

					BgL_v1128z00_147 = create_vector((int) (((long) 15)));
					{	/* Type/type.scm 21 */
						obj_t BgL_arg1181z00_148;

						BgL_arg1181z00_148 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc1444z00zztype_typez00,
							BGl_proc1443z00zztype_typez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc1442z00zztype_typez00, CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1128z00_147, (int) (((long) 14)),
							BgL_arg1181z00_148);
					}
					{	/* Type/type.scm 21 */
						obj_t BgL_arg1194z00_163;

						BgL_arg1194z00_163 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc1447z00zztype_typez00,
							BGl_proc1446z00zztype_typez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc1445z00zztype_typez00, CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1128z00_147, (int) (((long) 13)),
							BgL_arg1194z00_163);
					}
					{	/* Type/type.scm 21 */
						obj_t BgL_arg1205z00_178;

						BgL_arg1205z00_178 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc1450z00zztype_typez00,
							BGl_proc1449z00zztype_typez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc1448z00zztype_typez00, CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1128z00_147, (int) (((long) 12)),
							BgL_arg1205z00_178);
					}
					{	/* Type/type.scm 21 */
						obj_t BgL_arg1219z00_193;

						BgL_arg1219z00_193 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc1453z00zztype_typez00,
							BGl_proc1452z00zztype_typez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc1451z00zztype_typez00, CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1128z00_147, (int) (((long) 11)),
							BgL_arg1219z00_193);
					}
					{	/* Type/type.scm 21 */
						obj_t BgL_arg1231z00_208;

						BgL_arg1231z00_208 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc1456z00zztype_typez00,
							BGl_proc1455z00zztype_typez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc1454z00zztype_typez00, CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1128z00_147, (int) (((long) 10)),
							BgL_arg1231z00_208);
					}
					{	/* Type/type.scm 21 */
						obj_t BgL_arg1244z00_223;

						BgL_arg1244z00_223 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									9)), BGl_proc1459z00zztype_typez00,
							BGl_proc1458z00zztype_typez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc1457z00zztype_typez00, CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1128z00_147, (int) (((long) 9)),
							BgL_arg1244z00_223);
					}
					{	/* Type/type.scm 21 */
						obj_t BgL_arg1255z00_238;

						BgL_arg1255z00_238 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc1462z00zztype_typez00,
							BGl_proc1461z00zztype_typez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc1460z00zztype_typez00, CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1128z00_147, (int) (((long) 8)),
							BgL_arg1255z00_238);
					}
					{	/* Type/type.scm 21 */
						obj_t BgL_arg1263z00_253;

						BgL_arg1263z00_253 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									11)), BGl_proc1465z00zztype_typez00,
							BGl_proc1464z00zztype_typez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc1463z00zztype_typez00, CNST_TABLE_REF(((long) 12)));
						VECTOR_SET(BgL_v1128z00_147, (int) (((long) 7)),
							BgL_arg1263z00_253);
					}
					{	/* Type/type.scm 21 */
						obj_t BgL_arg1279z00_268;

						BgL_arg1279z00_268 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									13)), BGl_proc1467z00zztype_typez00,
							BGl_proc1466z00zztype_typez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 12)));
						VECTOR_SET(BgL_v1128z00_147, (int) (((long) 6)),
							BgL_arg1279z00_268);
					}
					{	/* Type/type.scm 21 */
						obj_t BgL_arg1302z00_280;

						BgL_arg1302z00_280 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									14)), BGl_proc1470z00zztype_typez00,
							BGl_proc1469z00zztype_typez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc1468z00zztype_typez00, CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1128z00_147, (int) (((long) 5)),
							BgL_arg1302z00_280);
					}
					{	/* Type/type.scm 21 */
						obj_t BgL_arg1312z00_295;

						BgL_arg1312z00_295 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									15)), BGl_proc1473z00zztype_typez00,
							BGl_proc1472z00zztype_typez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc1471z00zztype_typez00, CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1128z00_147, (int) (((long) 4)),
							BgL_arg1312z00_295);
					}
					{	/* Type/type.scm 21 */
						obj_t BgL_arg1319z00_310;

						BgL_arg1319z00_310 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									16)), BGl_proc1476z00zztype_typez00,
							BGl_proc1475z00zztype_typez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc1474z00zztype_typez00, CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1128z00_147, (int) (((long) 3)),
							BgL_arg1319z00_310);
					}
					{	/* Type/type.scm 21 */
						obj_t BgL_arg1372z00_325;

						BgL_arg1372z00_325 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									17)), BGl_proc1479z00zztype_typez00,
							BGl_proc1478z00zztype_typez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc1477z00zztype_typez00, CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1128z00_147, (int) (((long) 2)),
							BgL_arg1372z00_325);
					}
					{	/* Type/type.scm 21 */
						obj_t BgL_arg1394z00_340;

						BgL_arg1394z00_340 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									18)), BGl_proc1482z00zztype_typez00,
							BGl_proc1481z00zztype_typez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc1480z00zztype_typez00, CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1128z00_147, (int) (((long) 1)),
							BgL_arg1394z00_340);
					}
					{	/* Type/type.scm 21 */
						obj_t BgL_arg1408z00_355;

						BgL_arg1408z00_355 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									19)), BGl_proc1485z00zztype_typez00,
							BGl_proc1484z00zztype_typez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc1483z00zztype_typez00, CNST_TABLE_REF(((long) 20)));
						VECTOR_SET(BgL_v1128z00_147, (int) (((long) 0)),
							BgL_arg1408z00_355);
					}
					BgL_arg1174z00_121 = BgL_v1128z00_147;
				}
				{	/* Type/type.scm 21 */
					obj_t BgL_v1129z00_370;

					BgL_v1129z00_370 = create_vector((int) (((long) 0)));
					BgL_arg1175z00_122 = BgL_v1129z00_370;
				}
				return (BGl_typez00zztype_typez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 21)),
						CNST_TABLE_REF(((long) 22)), BGl_objectz00zz__objectz00,
						((long) 17585), BGl_proc1488z00zztype_typez00,
						BGl_proc1487z00zztype_typez00, BFALSE,
						BGl_proc1486z00zztype_typez00, BFALSE, BgL_arg1174z00_121,
						BgL_arg1175z00_122), BUNSPEC);
		}}
	}



/* &<anonymous:1180> */
	BgL_typez00_bglt BGl_z62zc3anonymousza31180ze3ze1zztype_typez00(obj_t
		BgL_envz00_697, obj_t BgL_new1062z00_698)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			{
				BgL_typez00_bglt BgL_new1062z00_145;

				BgL_new1062z00_145 = ((BgL_typez00_bglt) BgL_new1062z00_698);
				((((BgL_typez00_bglt) CREF(BgL_new1062z00_145))->BgL_idz00) = ((obj_t)
						CNST_TABLE_REF(((long) 23))), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_new1062z00_145))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_new1062z00_145))->BgL_siza7eza7) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_new1062z00_145))->BgL_classz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_new1062z00_145))->BgL_coercezd2tozd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_new1062z00_145))->BgL_parentsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_new1062z00_145))->BgL_initzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_new1062z00_145))->BgL_magiczf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_new1062z00_145))->BgL_z42z42) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_new1062z00_145))->BgL_aliasz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_new1062z00_145))->
						BgL_pointedzd2tozd2byz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_new1062z00_145))->BgL_tvectorz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_new1062z00_145))->BgL_locationz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_new1062z00_145))->
						BgL_importzd2locationzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_new1062z00_145))->BgL_occurrencez00) =
					((int) (int) (((long) 0))), BUNSPEC);
				return BgL_new1062z00_145;
			}
		}
	}



/* &lambda1178 */
	BgL_typez00_bglt BGl_z62lambda1178z62zztype_typez00(obj_t BgL_envz00_699)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			{

				{	/* Type/type.scm 21 */
					BgL_typez00_bglt BgL_new1061z00_143;

					BgL_new1061z00_143 =
						((BgL_typez00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_typez00_bgl))));
					{	/* Type/type.scm 21 */
						long BgL_arg1179z00_144;

						{	/* Type/type.scm 21 */
							long BgL_res1433z00_518;

							{	/* Type/type.scm 21 */
								obj_t BgL_classz00_515;

								BgL_classz00_515 = BGl_typez00zztype_typez00;
								{	/* Type/type.scm 21 */
									obj_t BgL_vectorz00_516;
									int BgL_kz00_517;

									BgL_vectorz00_516 = BgL_classz00_515;
									BgL_kz00_517 = (int) (((long) 1));
									BgL_res1433z00_518 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_516, BgL_kz00_517));
							}}
							BgL_arg1179z00_144 = BgL_res1433z00_518;
						}
						{	/* Type/type.scm 21 */
							BgL_objectz00_bglt BgL_objz00_519;

							BgL_objz00_519 = ((BgL_objectz00_bglt) BgL_new1061z00_143);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_519, BgL_arg1179z00_144);
					}}
					{	/* Type/type.scm 21 */
						BgL_objectz00_bglt BgL_auxz00_1245;

						BgL_auxz00_1245 = ((BgL_objectz00_bglt) BgL_new1061z00_143);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_1245, BFALSE);
					}
					return BgL_new1061z00_143;
				}
			}
		}
	}



/* &lambda1176 */
	BgL_typez00_bglt BGl_z62lambda1176z62zztype_typez00(obj_t BgL_envz00_700,
		obj_t BgL_id1046z00_701, obj_t BgL_name1047z00_702,
		obj_t BgL_siza7e1048za7_703, obj_t BgL_class1049z00_704,
		obj_t BgL_coercezd2to1050zd2_705, obj_t BgL_parents1051z00_706,
		obj_t BgL_initzf31052zf3_707, obj_t BgL_magiczf31053zf3_708,
		obj_t BgL_z421054z42_709, obj_t BgL_alias1055z00_710,
		obj_t BgL_pointedzd2tozd2by1056z00_711, obj_t BgL_tvector1057z00_712,
		obj_t BgL_location1058z00_713, obj_t BgL_importzd2location1059zd2_714,
		obj_t BgL_occurrence1060z00_715)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			{
				obj_t BgL_id1046z00_123;
				obj_t BgL_name1047z00_124;
				obj_t BgL_siza7e1048za7_125;
				obj_t BgL_class1049z00_126;
				obj_t BgL_coercezd2to1050zd2_127;
				obj_t BgL_parents1051z00_128;
				bool_t BgL_initzf31052zf3_129;
				bool_t BgL_magiczf31053zf3_130;
				obj_t BgL_z421054z42_131;
				obj_t BgL_alias1055z00_132;
				obj_t BgL_pointedzd2tozd2by1056z00_133;
				obj_t BgL_tvector1057z00_134;
				obj_t BgL_location1058z00_135;
				obj_t BgL_importzd2location1059zd2_136;
				int BgL_occurrence1060z00_137;

				BgL_id1046z00_123 = BgL_id1046z00_701;
				BgL_name1047z00_124 = BgL_name1047z00_702;
				BgL_siza7e1048za7_125 = BgL_siza7e1048za7_703;
				BgL_class1049z00_126 = BgL_class1049z00_704;
				BgL_coercezd2to1050zd2_127 = BgL_coercezd2to1050zd2_705;
				BgL_parents1051z00_128 = BgL_parents1051z00_706;
				BgL_initzf31052zf3_129 = CBOOL(BgL_initzf31052zf3_707);
				BgL_magiczf31053zf3_130 = CBOOL(BgL_magiczf31053zf3_708);
				BgL_z421054z42_131 = BgL_z421054z42_709;
				BgL_alias1055z00_132 = BgL_alias1055z00_710;
				BgL_pointedzd2tozd2by1056z00_133 = BgL_pointedzd2tozd2by1056z00_711;
				BgL_tvector1057z00_134 = BgL_tvector1057z00_712;
				BgL_location1058z00_135 = BgL_location1058z00_713;
				BgL_importzd2location1059zd2_136 = BgL_importzd2location1059zd2_714;
				BgL_occurrence1060z00_137 = CINT(BgL_occurrence1060z00_715);
				{	/* Type/type.scm 21 */
					BgL_typez00_bglt BgL_new1097z00_506;

					{	/* Type/type.scm 21 */
						BgL_typez00_bglt BgL_new1096z00_507;

						BgL_new1096z00_507 =
							((BgL_typez00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_typez00_bgl))));
						{	/* Type/type.scm 21 */
							long BgL_arg1177z00_508;

							{	/* Type/type.scm 21 */
								long BgL_res1432z00_512;

								{	/* Type/type.scm 21 */
									obj_t BgL_classz00_509;

									BgL_classz00_509 = BGl_typez00zztype_typez00;
									{	/* Type/type.scm 21 */
										obj_t BgL_vectorz00_510;
										int BgL_kz00_511;

										BgL_vectorz00_510 = BgL_classz00_509;
										BgL_kz00_511 = (int) (((long) 1));
										BgL_res1432z00_512 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_510, BgL_kz00_511));
								}}
								BgL_arg1177z00_508 = BgL_res1432z00_512;
							}
							{	/* Type/type.scm 21 */
								BgL_objectz00_bglt BgL_objz00_513;

								BgL_objz00_513 = ((BgL_objectz00_bglt) BgL_new1096z00_507);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_513, BgL_arg1177z00_508);
						}}
						{	/* Type/type.scm 21 */
							BgL_objectz00_bglt BgL_auxz00_1254;

							BgL_auxz00_1254 = ((BgL_objectz00_bglt) BgL_new1096z00_507);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_1254, BFALSE);
						}
						BgL_new1097z00_506 = BgL_new1096z00_507;
					}
					((((BgL_typez00_bglt) CREF(BgL_new1097z00_506))->BgL_idz00) =
						((obj_t) BgL_id1046z00_123), BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_new1097z00_506))->BgL_namez00) =
						((obj_t) BgL_name1047z00_124), BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_new1097z00_506))->BgL_siza7eza7) =
						((obj_t) BgL_siza7e1048za7_125), BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_new1097z00_506))->BgL_classz00) =
						((obj_t) BgL_class1049z00_126), BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_new1097z00_506))->BgL_coercezd2tozd2) =
						((obj_t) BgL_coercezd2to1050zd2_127), BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_new1097z00_506))->BgL_parentsz00) =
						((obj_t) BgL_parents1051z00_128), BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_new1097z00_506))->BgL_initzf3zf3) =
						((bool_t) BgL_initzf31052zf3_129), BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_new1097z00_506))->BgL_magiczf3zf3) =
						((bool_t) BgL_magiczf31053zf3_130), BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_new1097z00_506))->BgL_z42z42) =
						((obj_t) BgL_z421054z42_131), BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_new1097z00_506))->BgL_aliasz00) =
						((obj_t) BgL_alias1055z00_132), BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_new1097z00_506))->
							BgL_pointedzd2tozd2byz00) =
						((obj_t) BgL_pointedzd2tozd2by1056z00_133), BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_new1097z00_506))->BgL_tvectorz00) =
						((obj_t) BgL_tvector1057z00_134), BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_new1097z00_506))->BgL_locationz00) =
						((obj_t) BgL_location1058z00_135), BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_new1097z00_506))->
							BgL_importzd2locationzd2) =
						((obj_t) BgL_importzd2location1059zd2_136), BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_new1097z00_506))->BgL_occurrencez00) =
						((int) BgL_occurrence1060z00_137), BUNSPEC);
					return BgL_new1097z00_506;
				}
			}
		}
	}



/* &<anonymous:1421> */
	obj_t BGl_z62zc3anonymousza31421ze3ze1zztype_typez00(obj_t BgL_envz00_716)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			{

				return CNST_TABLE_REF(((long) 23));
		}}
	}



/* &lambda1420 */
	obj_t BGl_z62lambda1420z62zztype_typez00(obj_t BgL_envz00_717,
		obj_t BgL_oz00_718, obj_t BgL_vz00_719)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			{	/* Type/type.scm 21 */
				BgL_typez00_bglt BgL_oz00_893;
				obj_t BgL_vz00_894;

				BgL_oz00_893 = ((BgL_typez00_bglt) BgL_oz00_718);
				BgL_vz00_894 = BgL_vz00_719;
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_893))->BgL_idz00) =
					((obj_t) BgL_vz00_894), BUNSPEC);
			}
		}
	}



/* &lambda1419 */
	obj_t BGl_z62lambda1419z62zztype_typez00(obj_t BgL_envz00_720,
		obj_t BgL_oz00_721)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			return
				(((BgL_typez00_bglt) CREF(
						((BgL_typez00_bglt) BgL_oz00_721)))->BgL_idz00);
		}
	}



/* &<anonymous:1406> */
	obj_t BGl_z62zc3anonymousza31406ze3ze1zztype_typez00(obj_t BgL_envz00_722)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			return BUNSPEC;
		}
	}



/* &lambda1405 */
	obj_t BGl_z62lambda1405z62zztype_typez00(obj_t BgL_envz00_723,
		obj_t BgL_oz00_724, obj_t BgL_vz00_725)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			{	/* Type/type.scm 21 */
				BgL_typez00_bglt BgL_oz00_896;

				BgL_oz00_896 = ((BgL_typez00_bglt) BgL_oz00_724);
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_896))->BgL_namez00) =
					((obj_t) BgL_vz00_725), BUNSPEC);
			}
		}
	}



/* &lambda1404 */
	obj_t BGl_z62lambda1404z62zztype_typez00(obj_t BgL_envz00_726,
		obj_t BgL_oz00_727)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			return
				(((BgL_typez00_bglt) CREF(
						((BgL_typez00_bglt) BgL_oz00_727)))->BgL_namez00);
		}
	}



/* &<anonymous:1384> */
	obj_t BGl_z62zc3anonymousza31384ze3ze1zztype_typez00(obj_t BgL_envz00_728)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			return BUNSPEC;
		}
	}



/* &lambda1383 */
	obj_t BGl_z62lambda1383z62zztype_typez00(obj_t BgL_envz00_729,
		obj_t BgL_oz00_730, obj_t BgL_vz00_731)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			{	/* Type/type.scm 21 */
				BgL_typez00_bglt BgL_oz00_899;

				BgL_oz00_899 = ((BgL_typez00_bglt) BgL_oz00_730);
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_899))->BgL_siza7eza7) =
					((obj_t) BgL_vz00_731), BUNSPEC);
			}
		}
	}



/* &lambda1382 */
	obj_t BGl_z62lambda1382z62zztype_typez00(obj_t BgL_envz00_732,
		obj_t BgL_oz00_733)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			return
				(((BgL_typez00_bglt) CREF(
						((BgL_typez00_bglt) BgL_oz00_733)))->BgL_siza7eza7);
		}
	}



/* &<anonymous:1367> */
	obj_t BGl_z62zc3anonymousza31367ze3ze1zztype_typez00(obj_t BgL_envz00_734)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			{

				return CNST_TABLE_REF(((long) 0));
		}}
	}



/* &lambda1366 */
	obj_t BGl_z62lambda1366z62zztype_typez00(obj_t BgL_envz00_735,
		obj_t BgL_oz00_736, obj_t BgL_vz00_737)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			{	/* Type/type.scm 21 */
				BgL_typez00_bglt BgL_oz00_902;

				BgL_oz00_902 = ((BgL_typez00_bglt) BgL_oz00_736);
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_902))->BgL_classz00) =
					((obj_t) BgL_vz00_737), BUNSPEC);
			}
		}
	}



/* &lambda1365 */
	obj_t BGl_z62lambda1365z62zztype_typez00(obj_t BgL_envz00_738,
		obj_t BgL_oz00_739)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			return
				(((BgL_typez00_bglt) CREF(
						((BgL_typez00_bglt) BgL_oz00_739)))->BgL_classz00);
		}
	}



/* &<anonymous:1318> */
	obj_t BGl_z62zc3anonymousza31318ze3ze1zztype_typez00(obj_t BgL_envz00_740)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			return BNIL;
		}
	}



/* &lambda1317 */
	obj_t BGl_z62lambda1317z62zztype_typez00(obj_t BgL_envz00_741,
		obj_t BgL_oz00_742, obj_t BgL_vz00_743)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			{	/* Type/type.scm 21 */
				BgL_typez00_bglt BgL_oz00_905;

				BgL_oz00_905 = ((BgL_typez00_bglt) BgL_oz00_742);
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_905))->BgL_coercezd2tozd2) =
					((obj_t) BgL_vz00_743), BUNSPEC);
			}
		}
	}



/* &lambda1316 */
	obj_t BGl_z62lambda1316z62zztype_typez00(obj_t BgL_envz00_744,
		obj_t BgL_oz00_745)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			return
				(((BgL_typez00_bglt) CREF(
						((BgL_typez00_bglt) BgL_oz00_745)))->BgL_coercezd2tozd2);
		}
	}



/* &<anonymous:1311> */
	obj_t BGl_z62zc3anonymousza31311ze3ze1zztype_typez00(obj_t BgL_envz00_746)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			return BNIL;
		}
	}



/* &lambda1310 */
	obj_t BGl_z62lambda1310z62zztype_typez00(obj_t BgL_envz00_747,
		obj_t BgL_oz00_748, obj_t BgL_vz00_749)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			{	/* Type/type.scm 21 */
				BgL_typez00_bglt BgL_oz00_908;

				BgL_oz00_908 = ((BgL_typez00_bglt) BgL_oz00_748);
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_908))->BgL_parentsz00) =
					((obj_t) BgL_vz00_749), BUNSPEC);
			}
		}
	}



/* &lambda1309 */
	obj_t BGl_z62lambda1309z62zztype_typez00(obj_t BgL_envz00_750,
		obj_t BgL_oz00_751)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			return
				(((BgL_typez00_bglt) CREF(
						((BgL_typez00_bglt) BgL_oz00_751)))->BgL_parentsz00);
		}
	}



/* &lambda1300 */
	obj_t BGl_z62lambda1300z62zztype_typez00(obj_t BgL_envz00_752,
		obj_t BgL_oz00_753, obj_t BgL_vz00_754)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			{	/* Type/type.scm 21 */
				BgL_typez00_bglt BgL_oz00_911;
				bool_t BgL_vz00_912;

				BgL_oz00_911 = ((BgL_typez00_bglt) BgL_oz00_753);
				BgL_vz00_912 = CBOOL(BgL_vz00_754);
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_911))->BgL_initzf3zf3) =
					((bool_t) BgL_vz00_912), BUNSPEC);
			}
		}
	}



/* &lambda1299 */
	obj_t BGl_z62lambda1299z62zztype_typez00(obj_t BgL_envz00_755,
		obj_t BgL_oz00_756)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			return
				BBOOL(
				(((BgL_typez00_bglt) CREF(
							((BgL_typez00_bglt) BgL_oz00_756)))->BgL_initzf3zf3));
		}
	}



/* &<anonymous:1274> */
	obj_t BGl_z62zc3anonymousza31274ze3ze1zztype_typez00(obj_t BgL_envz00_757)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &lambda1273 */
	obj_t BGl_z62lambda1273z62zztype_typez00(obj_t BgL_envz00_758,
		obj_t BgL_oz00_759, obj_t BgL_vz00_760)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			{	/* Type/type.scm 21 */
				BgL_typez00_bglt BgL_oz00_914;
				bool_t BgL_vz00_915;

				BgL_oz00_914 = ((BgL_typez00_bglt) BgL_oz00_759);
				BgL_vz00_915 = CBOOL(BgL_vz00_760);
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_914))->BgL_magiczf3zf3) =
					((bool_t) BgL_vz00_915), BUNSPEC);
			}
		}
	}



/* &lambda1272 */
	obj_t BGl_z62lambda1272z62zztype_typez00(obj_t BgL_envz00_761,
		obj_t BgL_oz00_762)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			return
				BBOOL(
				(((BgL_typez00_bglt) CREF(
							((BgL_typez00_bglt) BgL_oz00_762)))->BgL_magiczf3zf3));
		}
	}



/* &<anonymous:1262> */
	obj_t BGl_z62zc3anonymousza31262ze3ze1zztype_typez00(obj_t BgL_envz00_763)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &lambda1261 */
	obj_t BGl_z62lambda1261z62zztype_typez00(obj_t BgL_envz00_764,
		obj_t BgL_oz00_765, obj_t BgL_vz00_766)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			{	/* Type/type.scm 21 */
				BgL_typez00_bglt BgL_oz00_917;

				BgL_oz00_917 = ((BgL_typez00_bglt) BgL_oz00_765);
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_917))->BgL_z42z42) =
					((obj_t) BgL_vz00_766), BUNSPEC);
			}
		}
	}



/* &lambda1260 */
	obj_t BGl_z62lambda1260z62zztype_typez00(obj_t BgL_envz00_767,
		obj_t BgL_oz00_768)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			return
				(((BgL_typez00_bglt) CREF(
						((BgL_typez00_bglt) BgL_oz00_768)))->BgL_z42z42);
		}
	}



/* &<anonymous:1252> */
	obj_t BGl_z62zc3anonymousza31252ze3ze1zztype_typez00(obj_t BgL_envz00_769)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &lambda1251 */
	obj_t BGl_z62lambda1251z62zztype_typez00(obj_t BgL_envz00_770,
		obj_t BgL_oz00_771, obj_t BgL_vz00_772)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			{	/* Type/type.scm 21 */
				BgL_typez00_bglt BgL_oz00_920;

				BgL_oz00_920 = ((BgL_typez00_bglt) BgL_oz00_771);
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_920))->BgL_aliasz00) =
					((obj_t) BgL_vz00_772), BUNSPEC);
			}
		}
	}



/* &lambda1250 */
	obj_t BGl_z62lambda1250z62zztype_typez00(obj_t BgL_envz00_773,
		obj_t BgL_oz00_774)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			return
				(((BgL_typez00_bglt) CREF(
						((BgL_typez00_bglt) BgL_oz00_774)))->BgL_aliasz00);
		}
	}



/* &<anonymous:1243> */
	obj_t BGl_z62zc3anonymousza31243ze3ze1zztype_typez00(obj_t BgL_envz00_775)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &lambda1242 */
	obj_t BGl_z62lambda1242z62zztype_typez00(obj_t BgL_envz00_776,
		obj_t BgL_oz00_777, obj_t BgL_vz00_778)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			{	/* Type/type.scm 21 */
				BgL_typez00_bglt BgL_oz00_923;

				BgL_oz00_923 = ((BgL_typez00_bglt) BgL_oz00_777);
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_923))->BgL_pointedzd2tozd2byz00) =
					((obj_t) BgL_vz00_778), BUNSPEC);
			}
		}
	}



/* &lambda1241 */
	obj_t BGl_z62lambda1241z62zztype_typez00(obj_t BgL_envz00_779,
		obj_t BgL_oz00_780)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			return
				(((BgL_typez00_bglt) CREF(
						((BgL_typez00_bglt) BgL_oz00_780)))->BgL_pointedzd2tozd2byz00);
		}
	}



/* &<anonymous:1228> */
	obj_t BGl_z62zc3anonymousza31228ze3ze1zztype_typez00(obj_t BgL_envz00_781)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			return BUNSPEC;
		}
	}



/* &lambda1227 */
	obj_t BGl_z62lambda1227z62zztype_typez00(obj_t BgL_envz00_782,
		obj_t BgL_oz00_783, obj_t BgL_vz00_784)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			{	/* Type/type.scm 21 */
				BgL_typez00_bglt BgL_oz00_926;

				BgL_oz00_926 = ((BgL_typez00_bglt) BgL_oz00_783);
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_926))->BgL_tvectorz00) =
					((obj_t) BgL_vz00_784), BUNSPEC);
			}
		}
	}



/* &lambda1226 */
	obj_t BGl_z62lambda1226z62zztype_typez00(obj_t BgL_envz00_785,
		obj_t BgL_oz00_786)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			return
				(((BgL_typez00_bglt) CREF(
						((BgL_typez00_bglt) BgL_oz00_786)))->BgL_tvectorz00);
		}
	}



/* &<anonymous:1215> */
	obj_t BGl_z62zc3anonymousza31215ze3ze1zztype_typez00(obj_t BgL_envz00_787)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			return BUNSPEC;
		}
	}



/* &lambda1214 */
	obj_t BGl_z62lambda1214z62zztype_typez00(obj_t BgL_envz00_788,
		obj_t BgL_oz00_789, obj_t BgL_vz00_790)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			{	/* Type/type.scm 21 */
				BgL_typez00_bglt BgL_oz00_929;

				BgL_oz00_929 = ((BgL_typez00_bglt) BgL_oz00_789);
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_929))->BgL_locationz00) =
					((obj_t) BgL_vz00_790), BUNSPEC);
			}
		}
	}



/* &lambda1213 */
	obj_t BGl_z62lambda1213z62zztype_typez00(obj_t BgL_envz00_791,
		obj_t BgL_oz00_792)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			return
				(((BgL_typez00_bglt) CREF(
						((BgL_typez00_bglt) BgL_oz00_792)))->BgL_locationz00);
		}
	}



/* &<anonymous:1202> */
	obj_t BGl_z62zc3anonymousza31202ze3ze1zztype_typez00(obj_t BgL_envz00_793)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &lambda1201 */
	obj_t BGl_z62lambda1201z62zztype_typez00(obj_t BgL_envz00_794,
		obj_t BgL_oz00_795, obj_t BgL_vz00_796)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			{	/* Type/type.scm 21 */
				BgL_typez00_bglt BgL_oz00_932;

				BgL_oz00_932 = ((BgL_typez00_bglt) BgL_oz00_795);
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_932))->BgL_importzd2locationzd2) =
					((obj_t) BgL_vz00_796), BUNSPEC);
			}
		}
	}



/* &lambda1200 */
	obj_t BGl_z62lambda1200z62zztype_typez00(obj_t BgL_envz00_797,
		obj_t BgL_oz00_798)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			return
				(((BgL_typez00_bglt) CREF(
						((BgL_typez00_bglt) BgL_oz00_798)))->BgL_importzd2locationzd2);
		}
	}



/* &<anonymous:1190> */
	obj_t BGl_z62zc3anonymousza31190ze3ze1zztype_typez00(obj_t BgL_envz00_799)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			return BINT(((long) 0));
		}
	}



/* &lambda1189 */
	obj_t BGl_z62lambda1189z62zztype_typez00(obj_t BgL_envz00_800,
		obj_t BgL_oz00_801, obj_t BgL_vz00_802)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			{	/* Type/type.scm 21 */
				BgL_typez00_bglt BgL_oz00_935;
				int BgL_vz00_936;

				BgL_oz00_935 = ((BgL_typez00_bglt) BgL_oz00_801);
				BgL_vz00_936 = CINT(BgL_vz00_802);
				return
					((((BgL_typez00_bglt) CREF(BgL_oz00_935))->BgL_occurrencez00) =
					((int) BgL_vz00_936), BUNSPEC);
		}}
	}



/* &lambda1188 */
	obj_t BGl_z62lambda1188z62zztype_typez00(obj_t BgL_envz00_803,
		obj_t BgL_oz00_804)
	{
		AN_OBJECT;
		{	/* Type/type.scm 21 */
			return
				BINT(
				(((BgL_typez00_bglt) CREF(
							((BgL_typez00_bglt) BgL_oz00_804)))->BgL_occurrencez00));
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztype_typez00()
	{
		AN_OBJECT;
		{	/* Type/type.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2occurrencezd2incrementz12zd2envzc0zztype_typez00,
				BGl_proc1489z00zztype_typez00, BGl_typez00zztype_typez00,
				BGl_string1490z00zztype_typez00);
		}
	}



/* &type-occurrence-incr1130 */
	obj_t BGl_z62typezd2occurrencezd2incr1130z62zztype_typez00(obj_t
		BgL_envz00_806, obj_t BgL_tz00_807)
	{
		AN_OBJECT;
		{	/* Type/type.scm 83 */
			{
				obj_t BgL_tz00_375;

				BgL_tz00_375 = BgL_tz00_807;
				{	/* Type/type.scm 84 */
					BgL_typez00_bglt BgL_i1095z00_377;

					BgL_i1095z00_377 = ((BgL_typez00_bglt) BgL_tz00_375);
					return
						((((BgL_typez00_bglt) CREF(BgL_i1095z00_377))->BgL_occurrencez00) =
						((int) (int) ((((long) 1) +
									(long) ((((BgL_typez00_bglt) CREF(BgL_i1095z00_377))->
											BgL_occurrencez00))))), BUNSPEC);
		}}}
	}



/* type-occurrence-increment! */
	BGL_EXPORTED_DEF obj_t
		BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(BgL_typez00_bglt
		BgL_tz00_67)
	{
		AN_OBJECT;
		{	/* Type/type.scm 83 */
			{	/* Type/type.scm 83 */
				obj_t BgL_method1131z00_380;

				{	/* Type/type.scm 83 */
					obj_t BgL_res1441z00_552;

					{	/* Type/type.scm 83 */
						BgL_objectz00_bglt BgL_objz00_524;

						BgL_objz00_524 = ((BgL_objectz00_bglt) BgL_tz00_67);
						{	/* Type/type.scm 83 */
							long BgL_objzd2classzd2numz00_525;

							{	/* Type/type.scm 83 */
								long BgL_res1435z00_528;

								BgL_res1435z00_528 = BGL_OBJECT_CLASS_NUM(BgL_objz00_524);
								BgL_objzd2classzd2numz00_525 = BgL_res1435z00_528;
							}
							{	/* Type/type.scm 83 */
								obj_t BgL_arg1811z00_526;

								BgL_arg1811z00_526 =
									PROCEDURE_REF
									(BGl_typezd2occurrencezd2incrementz12zd2envzc0zztype_typez00,
									(int) (((long) 1)));
								{	/* Type/type.scm 83 */
									obj_t BgL_arrayz00_529;
									int BgL_offsetz00_530;

									BgL_arrayz00_529 = BgL_arg1811z00_526;
									BgL_offsetz00_530 = (int) (BgL_objzd2classzd2numz00_525);
									{	/* Type/type.scm 83 */
										long BgL_offsetz00_531;

										BgL_offsetz00_531 =
											((long) (BgL_offsetz00_530) - OBJECT_TYPE);
										{	/* Type/type.scm 83 */
											long BgL_modz00_532;

											{	/* Type/type.scm 83 */
												int BgL_arg1813z00_533;

												BgL_arg1813z00_533 = (int) (((long) 16));
												{	/* Type/type.scm 83 */
													long BgL_res1438z00_543;

													{	/* Type/type.scm 83 */
														long BgL_auxz00_1364;

														BgL_auxz00_1364 = (long) (BgL_arg1813z00_533);
														BgL_res1438z00_543 =
															(BgL_offsetz00_531 / BgL_auxz00_1364);
													}
													BgL_modz00_532 = BgL_res1438z00_543;
											}}
											{	/* Type/type.scm 83 */
												long BgL_restz00_534;

												{	/* Type/type.scm 83 */
													int BgL_arg1812z00_535;

													BgL_arg1812z00_535 = (int) (((long) 16));
													{	/* Type/type.scm 83 */
														long BgL_res1440z00_547;

														{	/* Type/type.scm 83 */
															long BgL_auxz00_1368;

															BgL_auxz00_1368 = (long) (BgL_arg1812z00_535);
															BgL_res1440z00_547 =
																(BgL_offsetz00_531 % BgL_auxz00_1368);
														}
														BgL_restz00_534 = BgL_res1440z00_547;
												}}
												{	/* Type/type.scm 83 */

													BgL_res1441z00_552 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_529,
															(int) (BgL_modz00_532)), (int) (BgL_restz00_534));
					}}}}}}}}
					BgL_method1131z00_380 = BgL_res1441z00_552;
				}
				return
					PROCEDURE_ENTRY(BgL_method1131z00_380) (BgL_method1131z00_380,
					((obj_t) BgL_tz00_67), BEOA);
			}
		}
	}



/* &type-occurrence-increment! */
	obj_t BGl_z62typezd2occurrencezd2incrementz12z70zztype_typez00(obj_t
		BgL_envz00_808, obj_t BgL_tz00_809)
	{
		AN_OBJECT;
		{	/* Type/type.scm 83 */
			return
				BGl_typezd2occurrencezd2incrementz12z12zztype_typez00(
				((BgL_typez00_bglt) BgL_tz00_809));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztype_typez00()
	{
		AN_OBJECT;
		{	/* Type/type.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztype_typez00()
	{
		AN_OBJECT;
		{	/* Type/type.scm 15 */
			return
				BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1491z00zztype_typez00));
		}
	}

#ifdef __cplusplus
}
#endif
