/*===========================================================================*/
/*   (Eval/expdtrace.scm)                                                    */
/*   Bigloo (3.8b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed May 2 08:00:52 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8b -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/expdtrace.scm -indent -o objs/obj_u/Eval/expdtrace.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2expandzd2withzd2tracezd2zz__expander_tracez00(obj_t);
	extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__expander_tracez00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__expander_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2expandzd2tracezd2itemzd2zz__expander_tracez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2expandzd2whenzd2tracezd2zz__expander_tracez00(obj_t);
	extern int bgl_debug();
	static obj_t BGl_cnstzd2initzd2zz__expander_tracez00();
	static obj_t BGl_genericzd2initzd2zz__expander_tracez00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__expander_tracez00();
	static obj_t BGl_objectzd2initzd2zz__expander_tracez00();
	extern obj_t bstring_to_symbol(obj_t);
	extern int BGl_bigloozd2compilerzd2debugz00zz__paramz00();
	extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t
		BGl_z62makezd2expandzd2withzd2tracezb0zz__expander_tracez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__expander_tracez00();
	static obj_t BGl_z62zc3anonymousza31212ze3ze1zz__expander_tracez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31131ze3ze1zz__expander_tracez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol1553z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol1555z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol1557z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol1559z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol1561z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol1566z00zz__expander_tracez00 = BUNSPEC;
	static obj_t
		BGl_z62makezd2expandzd2tracezd2itemzb0zz__expander_tracez00(obj_t, obj_t);
	static obj_t BGl_symbol1568z00zz__expander_tracez00 = BUNSPEC;
	static obj_t
		BGl_z62makezd2expandzd2whenzd2tracezb0zz__expander_tracez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31109ze3ze1zz__expander_tracez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol1570z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol1572z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol1574z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol1578z00zz__expander_tracez00 = BUNSPEC;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1550z00zz__expander_tracez00,
		BgL_bgl_string1550za700za7za7_1581za7,
		"/tmp/bigloo/runtime/Eval/expdtrace.scm", 38);
	      DEFINE_STRING(BGl_string1551z00zz__expander_tracez00,
		BgL_bgl_string1551za700za7za7_1582za7, "&make-expand-when-trace", 23);
	      DEFINE_STRING(BGl_string1552z00zz__expander_tracez00,
		BgL_bgl_string1552za700za7za7_1583za7, "symbol", 6);
	      DEFINE_STRING(BGl_string1554z00zz__expander_tracez00,
		BgL_bgl_string1554za700za7za7_1584za7, "compiler", 8);
	      DEFINE_STRING(BGl_string1556z00zz__expander_tracez00,
		BgL_bgl_string1556za700za7za7_1585za7, "bigloo-debug", 12);
	      DEFINE_STRING(BGl_string1558z00zz__expander_tracez00,
		BgL_bgl_string1558za700za7za7_1586za7, ">=fx", 4);
	      DEFINE_STRING(BGl_string1560z00zz__expander_tracez00,
		BgL_bgl_string1560za700za7za7_1587za7, "begin", 5);
	      DEFINE_STRING(BGl_string1562z00zz__expander_tracez00,
		BgL_bgl_string1562za700za7za7_1588za7, "if", 2);
	      DEFINE_STRING(BGl_string1563z00zz__expander_tracez00,
		BgL_bgl_string1563za700za7za7_1589za7, "when-trace", 10);
	      DEFINE_STRING(BGl_string1564z00zz__expander_tracez00,
		BgL_bgl_string1564za700za7za7_1590za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string1565z00zz__expander_tracez00,
		BgL_bgl_string1565za700za7za7_1591za7, "&make-expand-with-trace", 23);
	      DEFINE_STRING(BGl_string1567z00zz__expander_tracez00,
		BgL_bgl_string1567za700za7za7_1592za7, "f", 1);
	      DEFINE_STRING(BGl_string1569z00zz__expander_tracez00,
		BgL_bgl_string1569za700za7za7_1593za7, "lambda", 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2expandzd2whenzd2tracezd2envz00zz__expander_tracez00,
		BgL_bgl_za762makeza7d2expand1594z00,
		BGl_z62makezd2expandzd2whenzd2tracezb0zz__expander_tracez00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1571z00zz__expander_tracez00,
		BgL_bgl_string1571za700za7za7_1595za7, ">fx", 3);
	      DEFINE_STRING(BGl_string1573z00zz__expander_tracez00,
		BgL_bgl_string1573za700za7za7_1596za7, "%with-trace", 11);
	      DEFINE_STRING(BGl_string1575z00zz__expander_tracez00,
		BgL_bgl_string1575za700za7za7_1597za7, "let", 3);
	      DEFINE_STRING(BGl_string1576z00zz__expander_tracez00,
		BgL_bgl_string1576za700za7za7_1598za7, "with-trace", 10);
	      DEFINE_STRING(BGl_string1577z00zz__expander_tracez00,
		BgL_bgl_string1577za700za7za7_1599za7, "&make-expand-trace-item", 23);
	      DEFINE_STRING(BGl_string1579z00zz__expander_tracez00,
		BgL_bgl_string1579za700za7za7_1600za7, "trace-item", 10);
	      DEFINE_STRING(BGl_string1580z00zz__expander_tracez00,
		BgL_bgl_string1580za700za7za7_1601za7, "__expander_trace", 16);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2expandzd2tracezd2itemzd2envz00zz__expander_tracez00,
		BgL_bgl_za762makeza7d2expand1602z00,
		BGl_z62makezd2expandzd2tracezd2itemzb0zz__expander_tracez00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2expandzd2withzd2tracezd2envz00zz__expander_tracez00,
		BgL_bgl_za762makeza7d2expand1603z00,
		BGl_z62makezd2expandzd2withzd2tracezb0zz__expander_tracez00, 0L, BUNSPEC,
		1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__expander_tracez00(long
		BgL_checksumz00_1258, char *BgL_fromz00_1259)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__expander_tracez00))
				{
					BGl_requirezd2initializa7ationz75zz__expander_tracez00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__expander_tracez00();
					BGl_importedzd2moduleszd2initz00zz__expander_tracez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__expander_tracez00()
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 14 */
			BGl_symbol1553z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1554z00zz__expander_tracez00);
			BGl_symbol1555z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1556z00zz__expander_tracez00);
			BGl_symbol1557z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1558z00zz__expander_tracez00);
			BGl_symbol1559z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1560z00zz__expander_tracez00);
			BGl_symbol1561z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1562z00zz__expander_tracez00);
			BGl_symbol1566z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1567z00zz__expander_tracez00);
			BGl_symbol1568z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1569z00zz__expander_tracez00);
			BGl_symbol1570z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1571z00zz__expander_tracez00);
			BGl_symbol1572z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1573z00zz__expander_tracez00);
			BGl_symbol1574z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1575z00zz__expander_tracez00);
			return (BGl_symbol1578z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1579z00zz__expander_tracez00), BUNSPEC);
		}
	}



/* make-expand-when-trace */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2expandzd2whenzd2tracezd2zz__expander_tracez00(obj_t
		BgL_modez00_3)
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 54 */
			{	/* Eval/expdtrace.scm 55 */
				obj_t BgL_zc3anonymousza31109ze3z83_1231;

				BgL_zc3anonymousza31109ze3z83_1231 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3anonymousza31109ze3ze1zz__expander_tracez00,
					(int) (((long) 2)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3anonymousza31109ze3z83_1231, (int) (((long) 0)),
					BgL_modez00_3);
				return BgL_zc3anonymousza31109ze3z83_1231;
			}
		}
	}



/* &make-expand-when-trace */
	obj_t BGl_z62makezd2expandzd2whenzd2tracezb0zz__expander_tracez00(obj_t
		BgL_envz00_1232, obj_t BgL_modez00_1233)
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 54 */
			{	/* Eval/expdtrace.scm 55 */
				obj_t BgL_auxz00_1281;

				if (SYMBOLP(BgL_modez00_1233))
					{	/* Eval/expdtrace.scm 55 */
						BgL_auxz00_1281 = BgL_modez00_1233;
					}
				else
					{
						obj_t BgL_auxz00_1284;

						BgL_auxz00_1284 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1550z00zz__expander_tracez00, BINT(((long) 1919)),
							BGl_string1551z00zz__expander_tracez00,
							BGl_string1552z00zz__expander_tracez00, BgL_modez00_1233);
						FAILURE(BgL_auxz00_1284, BFALSE, BFALSE);
					}
				return
					BGl_makezd2expandzd2whenzd2tracezd2zz__expander_tracez00
					(BgL_auxz00_1281);
			}
		}
	}



/* &<anonymous:1109> */
	obj_t BGl_z62zc3anonymousza31109ze3ze1zz__expander_tracez00(obj_t
		BgL_envz00_1234, obj_t BgL_xz00_1236, obj_t BgL_ez00_1237)
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 55 */
			{	/* Eval/expdtrace.scm 55 */
				obj_t BgL_modez00_1235;

				BgL_modez00_1235 =
					((obj_t) PROCEDURE_REF(BgL_envz00_1234, (int) (((long) 0))));
				{
					obj_t BgL_xz00_580;
					obj_t BgL_ez00_581;

					BgL_xz00_580 = BgL_xz00_1236;
					BgL_ez00_581 = BgL_ez00_1237;
					{
						obj_t BgL_levelz00_583;
						obj_t BgL_expz00_584;

						if (PAIRP(BgL_xz00_580))
							{	/* Eval/expdtrace.scm 55 */
								obj_t BgL_cdrzd2109zd2_589;

								BgL_cdrzd2109zd2_589 = CDR(BgL_xz00_580);
								if (PAIRP(BgL_cdrzd2109zd2_589))
									{	/* Eval/expdtrace.scm 55 */
										BgL_levelz00_583 = CAR(BgL_cdrzd2109zd2_589);
										BgL_expz00_584 = CDR(BgL_cdrzd2109zd2_589);
										{	/* Eval/expdtrace.scm 58 */
											bool_t BgL_testz00_1297;

											if (
												(BgL_modez00_1235 ==
													BGl_symbol1553z00zz__expander_tracez00))
												{	/* Eval/expdtrace.scm 59 */
													int BgL_arg1129z00_605;

													BgL_arg1129z00_605 =
														BGl_bigloozd2compilerzd2debugz00zz__paramz00();
													BgL_testz00_1297 =
														((long) (BgL_arg1129z00_605) > ((long) 0));
												}
											else
												{	/* Eval/expdtrace.scm 60 */
													int BgL_arg1130z00_606;

													BgL_arg1130z00_606 = bgl_debug();
													BgL_testz00_1297 =
														((long) (BgL_arg1130z00_606) > ((long) 0));
												}
											if (BgL_testz00_1297)
												{	/* Eval/expdtrace.scm 61 */
													obj_t BgL_arg1115z00_594;

													{	/* Eval/expdtrace.scm 61 */
														obj_t BgL_arg1116z00_595;

														{	/* Eval/expdtrace.scm 61 */
															obj_t BgL_arg1117z00_596;
															obj_t BgL_arg1118z00_597;

															{	/* Eval/expdtrace.scm 61 */
																obj_t BgL_arg1119z00_598;

																{	/* Eval/expdtrace.scm 61 */
																	obj_t BgL_arg1120z00_599;
																	obj_t BgL_arg1121z00_600;

																	BgL_arg1120z00_599 =
																		MAKE_PAIR
																		(BGl_symbol1555z00zz__expander_tracez00,
																		BNIL);
																	BgL_arg1121z00_600 =
																		MAKE_PAIR(BgL_levelz00_583, BNIL);
																	BgL_arg1119z00_598 =
																		MAKE_PAIR(BgL_arg1120z00_599,
																		BgL_arg1121z00_600);
																}
																BgL_arg1117z00_596 =
																	MAKE_PAIR
																	(BGl_symbol1557z00zz__expander_tracez00,
																	BgL_arg1119z00_598);
															}
															{	/* Eval/expdtrace.scm 62 */
																obj_t BgL_arg1122z00_601;
																obj_t BgL_arg1123z00_602;

																{	/* Eval/expdtrace.scm 62 */
																	obj_t BgL_arg1125z00_603;

																	BgL_arg1125z00_603 =
																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																		(BgL_expz00_584, BNIL);
																	BgL_arg1122z00_601 =
																		MAKE_PAIR
																		(BGl_symbol1559z00zz__expander_tracez00,
																		BgL_arg1125z00_603);
																}
																BgL_arg1123z00_602 = MAKE_PAIR(BUNSPEC, BNIL);
																BgL_arg1118z00_597 =
																	MAKE_PAIR(BgL_arg1122z00_601,
																	BgL_arg1123z00_602);
															}
															BgL_arg1116z00_595 =
																MAKE_PAIR(BgL_arg1117z00_596,
																BgL_arg1118z00_597);
														}
														BgL_arg1115z00_594 =
															MAKE_PAIR(BGl_symbol1561z00zz__expander_tracez00,
															BgL_arg1116z00_595);
													}
													return
														PROCEDURE_ENTRY(BgL_ez00_581) (BgL_ez00_581,
														BgL_arg1115z00_594, BgL_ez00_581, BEOA);
												}
											else
												{	/* Eval/expdtrace.scm 58 */
													return BUNSPEC;
												}
										}
									}
								else
									{	/* Eval/expdtrace.scm 55 */
										return
											BGl_errorz00zz__errorz00
											(BGl_string1563z00zz__expander_tracez00,
											BGl_string1564z00zz__expander_tracez00, BgL_xz00_580);
									}
							}
						else
							{	/* Eval/expdtrace.scm 55 */
								return
									BGl_errorz00zz__errorz00
									(BGl_string1563z00zz__expander_tracez00,
									BGl_string1564z00zz__expander_tracez00, BgL_xz00_580);
							}
					}
				}
			}
		}
	}



/* make-expand-with-trace */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2expandzd2withzd2tracezd2zz__expander_tracez00(obj_t
		BgL_modez00_4)
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 72 */
			{	/* Eval/expdtrace.scm 73 */
				obj_t BgL_zc3anonymousza31131ze3z83_1238;

				BgL_zc3anonymousza31131ze3z83_1238 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3anonymousza31131ze3ze1zz__expander_tracez00,
					(int) (((long) 2)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3anonymousza31131ze3z83_1238, (int) (((long) 0)),
					BgL_modez00_4);
				return BgL_zc3anonymousza31131ze3z83_1238;
			}
		}
	}



/* &make-expand-with-trace */
	obj_t BGl_z62makezd2expandzd2withzd2tracezb0zz__expander_tracez00(obj_t
		BgL_envz00_1239, obj_t BgL_modez00_1240)
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 72 */
			{	/* Eval/expdtrace.scm 73 */
				obj_t BgL_auxz00_1330;

				if (SYMBOLP(BgL_modez00_1240))
					{	/* Eval/expdtrace.scm 73 */
						BgL_auxz00_1330 = BgL_modez00_1240;
					}
				else
					{
						obj_t BgL_auxz00_1333;

						BgL_auxz00_1333 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1550z00zz__expander_tracez00, BINT(((long) 2501)),
							BGl_string1565z00zz__expander_tracez00,
							BGl_string1552z00zz__expander_tracez00, BgL_modez00_1240);
						FAILURE(BgL_auxz00_1333, BFALSE, BFALSE);
					}
				return
					BGl_makezd2expandzd2withzd2tracezd2zz__expander_tracez00
					(BgL_auxz00_1330);
			}
		}
	}



/* &<anonymous:1131> */
	obj_t BGl_z62zc3anonymousza31131ze3ze1zz__expander_tracez00(obj_t
		BgL_envz00_1241, obj_t BgL_xz00_1243, obj_t BgL_ez00_1244)
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 73 */
			{	/* Eval/expdtrace.scm 73 */
				obj_t BgL_modez00_1242;

				BgL_modez00_1242 =
					((obj_t) PROCEDURE_REF(BgL_envz00_1241, (int) (((long) 0))));
				{
					obj_t BgL_xz00_607;
					obj_t BgL_ez00_608;

					BgL_xz00_607 = BgL_xz00_1243;
					BgL_ez00_608 = BgL_ez00_1244;
					{
						obj_t BgL_levelz00_610;
						obj_t BgL_lblz00_611;
						obj_t BgL_argza2za2_612;

						if (PAIRP(BgL_xz00_607))
							{	/* Eval/expdtrace.scm 73 */
								obj_t BgL_cdrzd2126zd2_617;

								BgL_cdrzd2126zd2_617 = CDR(BgL_xz00_607);
								if (PAIRP(BgL_cdrzd2126zd2_617))
									{	/* Eval/expdtrace.scm 73 */
										obj_t BgL_cdrzd2131zd2_619;

										BgL_cdrzd2131zd2_619 = CDR(BgL_cdrzd2126zd2_617);
										if (PAIRP(BgL_cdrzd2131zd2_619))
											{	/* Eval/expdtrace.scm 73 */
												BgL_levelz00_610 = CAR(BgL_cdrzd2126zd2_617);
												BgL_lblz00_611 = CAR(BgL_cdrzd2131zd2_619);
												BgL_argza2za2_612 = CDR(BgL_cdrzd2131zd2_619);
												{	/* Eval/expdtrace.scm 76 */
													bool_t BgL_testz00_1349;

													if (
														(BgL_modez00_1242 ==
															BGl_symbol1553z00zz__expander_tracez00))
														{	/* Eval/expdtrace.scm 77 */
															int BgL_arg1209z00_653;

															BgL_arg1209z00_653 =
																BGl_bigloozd2compilerzd2debugz00zz__paramz00();
															BgL_testz00_1349 =
																((long) (BgL_arg1209z00_653) > ((long) 0));
														}
													else
														{	/* Eval/expdtrace.scm 78 */
															int BgL_arg1211z00_654;

															BgL_arg1211z00_654 = bgl_debug();
															BgL_testz00_1349 =
																((long) (BgL_arg1211z00_654) > ((long) 0));
														}
													if (BgL_testz00_1349)
														{	/* Eval/expdtrace.scm 79 */
															obj_t BgL_fz00_625;

															BgL_fz00_625 =
																BGl_gensymz00zz__r4_symbols_6_4z00
																(BGl_symbol1566z00zz__expander_tracez00);
															{	/* Eval/expdtrace.scm 79 */
																obj_t BgL_nxz00_626;

																{	/* Eval/expdtrace.scm 80 */
																	obj_t BgL_arg1161z00_627;

																	{	/* Eval/expdtrace.scm 80 */
																		obj_t BgL_arg1168z00_628;
																		obj_t BgL_arg1169z00_629;

																		{	/* Eval/expdtrace.scm 80 */
																			obj_t BgL_arg1170z00_630;

																			{	/* Eval/expdtrace.scm 80 */
																				obj_t BgL_arg1171z00_631;

																				{	/* Eval/expdtrace.scm 80 */
																					obj_t BgL_arg1172z00_632;

																					{	/* Eval/expdtrace.scm 80 */
																						obj_t BgL_arg1173z00_633;

																						{	/* Eval/expdtrace.scm 80 */
																							obj_t BgL_arg1174z00_634;

																							{	/* Eval/expdtrace.scm 80 */
																								obj_t BgL_arg1175z00_635;

																								{	/* Eval/expdtrace.scm 80 */
																									obj_t BgL_arg1176z00_636;

																									BgL_arg1176z00_636 =
																										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																										(BgL_argza2za2_612, BNIL);
																									BgL_arg1175z00_635 =
																										MAKE_PAIR
																										(BGl_symbol1559z00zz__expander_tracez00,
																										BgL_arg1176z00_636);
																								}
																								BgL_arg1174z00_634 =
																									MAKE_PAIR(BgL_arg1175z00_635,
																									BNIL);
																							}
																							BgL_arg1173z00_633 =
																								MAKE_PAIR(BNIL,
																								BgL_arg1174z00_634);
																						}
																						BgL_arg1172z00_632 =
																							MAKE_PAIR
																							(BGl_symbol1568z00zz__expander_tracez00,
																							BgL_arg1173z00_633);
																					}
																					BgL_arg1171z00_631 =
																						MAKE_PAIR(BgL_arg1172z00_632, BNIL);
																				}
																				BgL_arg1170z00_630 =
																					MAKE_PAIR(BgL_fz00_625,
																					BgL_arg1171z00_631);
																			}
																			BgL_arg1168z00_628 =
																				MAKE_PAIR(BgL_arg1170z00_630, BNIL);
																		}
																		{	/* Eval/expdtrace.scm 81 */
																			obj_t BgL_arg1177z00_637;

																			{	/* Eval/expdtrace.scm 81 */
																				obj_t BgL_arg1178z00_638;

																				{	/* Eval/expdtrace.scm 81 */
																					obj_t BgL_arg1179z00_639;
																					obj_t BgL_arg1180z00_640;

																					{	/* Eval/expdtrace.scm 81 */
																						obj_t BgL_arg1181z00_641;

																						{	/* Eval/expdtrace.scm 81 */
																							obj_t BgL_arg1183z00_642;
																							obj_t BgL_arg1185z00_643;

																							BgL_arg1183z00_642 =
																								MAKE_PAIR
																								(BGl_symbol1555z00zz__expander_tracez00,
																								BNIL);
																							BgL_arg1185z00_643 =
																								MAKE_PAIR(BINT(((long) 0)),
																								BNIL);
																							BgL_arg1181z00_641 =
																								MAKE_PAIR(BgL_arg1183z00_642,
																								BgL_arg1185z00_643);
																						}
																						BgL_arg1179z00_639 =
																							MAKE_PAIR
																							(BGl_symbol1570z00zz__expander_tracez00,
																							BgL_arg1181z00_641);
																					}
																					{	/* Eval/expdtrace.scm 82 */
																						obj_t BgL_arg1187z00_644;
																						obj_t BgL_arg1194z00_645;

																						{	/* Eval/expdtrace.scm 82 */
																							obj_t BgL_arg1195z00_646;

																							{	/* Eval/expdtrace.scm 82 */
																								obj_t BgL_arg1198z00_647;

																								{	/* Eval/expdtrace.scm 82 */
																									obj_t BgL_arg1199z00_648;

																									BgL_arg1199z00_648 =
																										MAKE_PAIR(BgL_fz00_625,
																										BNIL);
																									BgL_arg1198z00_647 =
																										MAKE_PAIR(BgL_lblz00_611,
																										BgL_arg1199z00_648);
																								}
																								BgL_arg1195z00_646 =
																									MAKE_PAIR(BgL_levelz00_610,
																									BgL_arg1198z00_647);
																							}
																							BgL_arg1187z00_644 =
																								MAKE_PAIR
																								(BGl_symbol1572z00zz__expander_tracez00,
																								BgL_arg1195z00_646);
																						}
																						{	/* Eval/expdtrace.scm 83 */
																							obj_t BgL_arg1200z00_649;

																							BgL_arg1200z00_649 =
																								MAKE_PAIR(BgL_fz00_625, BNIL);
																							BgL_arg1194z00_645 =
																								MAKE_PAIR(BgL_arg1200z00_649,
																								BNIL);
																						}
																						BgL_arg1180z00_640 =
																							MAKE_PAIR(BgL_arg1187z00_644,
																							BgL_arg1194z00_645);
																					}
																					BgL_arg1178z00_638 =
																						MAKE_PAIR(BgL_arg1179z00_639,
																						BgL_arg1180z00_640);
																				}
																				BgL_arg1177z00_637 =
																					MAKE_PAIR
																					(BGl_symbol1561z00zz__expander_tracez00,
																					BgL_arg1178z00_638);
																			}
																			BgL_arg1169z00_629 =
																				MAKE_PAIR(BgL_arg1177z00_637, BNIL);
																		}
																		BgL_arg1161z00_627 =
																			MAKE_PAIR(BgL_arg1168z00_628,
																			BgL_arg1169z00_629);
																	}
																	BgL_nxz00_626 =
																		MAKE_PAIR
																		(BGl_symbol1574z00zz__expander_tracez00,
																		BgL_arg1161z00_627);
																}
																{	/* Eval/expdtrace.scm 80 */

																	return
																		PROCEDURE_ENTRY(BgL_ez00_608) (BgL_ez00_608,
																		BgL_nxz00_626, BgL_ez00_608, BEOA);
																}
															}
														}
													else
														{	/* Eval/expdtrace.scm 85 */
															obj_t BgL_arg1201z00_650;

															{	/* Eval/expdtrace.scm 85 */
																obj_t BgL_arg1205z00_651;

																BgL_arg1205z00_651 =
																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																	(BgL_argza2za2_612, BNIL);
																BgL_arg1201z00_650 =
																	MAKE_PAIR
																	(BGl_symbol1559z00zz__expander_tracez00,
																	BgL_arg1205z00_651);
															}
															return
																PROCEDURE_ENTRY(BgL_ez00_608) (BgL_ez00_608,
																BgL_arg1201z00_650, BgL_ez00_608, BEOA);
														}
												}
											}
										else
											{	/* Eval/expdtrace.scm 73 */
												return
													BGl_errorz00zz__errorz00
													(BGl_string1576z00zz__expander_tracez00,
													BGl_string1564z00zz__expander_tracez00, BgL_xz00_607);
											}
									}
								else
									{	/* Eval/expdtrace.scm 73 */
										return
											BGl_errorz00zz__errorz00
											(BGl_string1576z00zz__expander_tracez00,
											BGl_string1564z00zz__expander_tracez00, BgL_xz00_607);
									}
							}
						else
							{	/* Eval/expdtrace.scm 73 */
								return
									BGl_errorz00zz__errorz00
									(BGl_string1576z00zz__expander_tracez00,
									BGl_string1564z00zz__expander_tracez00, BgL_xz00_607);
							}
					}
				}
			}
		}
	}



/* make-expand-trace-item */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2expandzd2tracezd2itemzd2zz__expander_tracez00(obj_t
		BgL_modez00_5)
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 92 */
			{	/* Eval/expdtrace.scm 93 */
				obj_t BgL_zc3anonymousza31212ze3z83_1245;

				BgL_zc3anonymousza31212ze3z83_1245 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3anonymousza31212ze3ze1zz__expander_tracez00,
					(int) (((long) 2)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3anonymousza31212ze3z83_1245, (int) (((long) 0)),
					BgL_modez00_5);
				return BgL_zc3anonymousza31212ze3z83_1245;
			}
		}
	}



/* &make-expand-trace-item */
	obj_t BGl_z62makezd2expandzd2tracezd2itemzb0zz__expander_tracez00(obj_t
		BgL_envz00_1246, obj_t BgL_modez00_1247)
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 92 */
			{	/* Eval/expdtrace.scm 93 */
				obj_t BgL_auxz00_1407;

				if (SYMBOLP(BgL_modez00_1247))
					{	/* Eval/expdtrace.scm 93 */
						BgL_auxz00_1407 = BgL_modez00_1247;
					}
				else
					{
						obj_t BgL_auxz00_1410;

						BgL_auxz00_1410 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1550z00zz__expander_tracez00, BINT(((long) 3184)),
							BGl_string1577z00zz__expander_tracez00,
							BGl_string1552z00zz__expander_tracez00, BgL_modez00_1247);
						FAILURE(BgL_auxz00_1410, BFALSE, BFALSE);
					}
				return
					BGl_makezd2expandzd2tracezd2itemzd2zz__expander_tracez00
					(BgL_auxz00_1407);
			}
		}
	}



/* &<anonymous:1212> */
	obj_t BGl_z62zc3anonymousza31212ze3ze1zz__expander_tracez00(obj_t
		BgL_envz00_1248, obj_t BgL_xz00_1250, obj_t BgL_ez00_1251)
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 93 */
			{	/* Eval/expdtrace.scm 94 */
				obj_t BgL_modez00_1249;

				BgL_modez00_1249 =
					((obj_t) PROCEDURE_REF(BgL_envz00_1248, (int) (((long) 0))));
				{
					obj_t BgL_xz00_655;
					obj_t BgL_ez00_656;

					BgL_xz00_655 = BgL_xz00_1250;
					BgL_ez00_656 = BgL_ez00_1251;
					{	/* Eval/expdtrace.scm 94 */
						bool_t BgL_testz00_1418;

						if ((BgL_modez00_1249 == BGl_symbol1553z00zz__expander_tracez00))
							{	/* Eval/expdtrace.scm 95 */
								int BgL_arg1244z00_683;

								BgL_arg1244z00_683 =
									BGl_bigloozd2compilerzd2debugz00zz__paramz00();
								BgL_testz00_1418 = ((long) (BgL_arg1244z00_683) > ((long) 0));
							}
						else
							{	/* Eval/expdtrace.scm 96 */
								int BgL_arg1245z00_684;

								BgL_arg1245z00_684 = bgl_debug();
								BgL_testz00_1418 = ((long) (BgL_arg1245z00_684) > ((long) 0));
							}
						if (BgL_testz00_1418)
							{	/* Eval/expdtrace.scm 97 */
								obj_t BgL_arg1214z00_659;

								{	/* Eval/expdtrace.scm 97 */
									obj_t BgL_arg1219z00_660;
									obj_t BgL_arg1220z00_661;

									{	/* Eval/expdtrace.scm 97 */
										obj_t BgL_arg1221z00_662;

										{	/* Eval/expdtrace.scm 97 */
											obj_t BgL_arg1225z00_663;
											obj_t BgL_arg1226z00_664;

											BgL_arg1225z00_663 =
												MAKE_PAIR(BGl_symbol1555z00zz__expander_tracez00, BNIL);
											BgL_arg1226z00_664 = MAKE_PAIR(BINT(((long) 0)), BNIL);
											BgL_arg1221z00_662 =
												MAKE_PAIR(BgL_arg1225z00_663, BgL_arg1226z00_664);
										}
										BgL_arg1219z00_660 =
											MAKE_PAIR(BGl_symbol1570z00zz__expander_tracez00,
											BgL_arg1221z00_662);
									}
									{	/* Eval/expdtrace.scm 98 */
										obj_t BgL_arg1228z00_665;
										obj_t BgL_arg1231z00_666;

										{	/* Eval/expdtrace.scm 98 */
											obj_t BgL_arg1232z00_667;

											{	/* Eval/expdtrace.scm 98 */
												obj_t BgL_arg1235z00_668;

												{	/* Eval/expdtrace.scm 98 */
													obj_t BgL_l1059z00_669;

													BgL_l1059z00_669 = CDR(BgL_xz00_655);
													if (NULLP(BgL_l1059z00_669))
														{	/* Eval/expdtrace.scm 98 */
															BgL_arg1235z00_668 = BNIL;
														}
													else
														{	/* Eval/expdtrace.scm 98 */
															obj_t BgL_head1061z00_671;

															{	/* Eval/expdtrace.scm 98 */
																obj_t BgL_res1507z00_980;

																BgL_res1507z00_980 = MAKE_PAIR(BNIL, BNIL);
																BgL_head1061z00_671 = BgL_res1507z00_980;
															}
															{
																obj_t BgL_l1059z00_1014;
																obj_t BgL_tail1062z00_1015;

																BgL_l1059z00_1014 = BgL_l1059z00_669;
																BgL_tail1062z00_1015 = BgL_head1061z00_671;
															BgL_zc3anonymousza31237ze3z83_1013:
																if (NULLP(BgL_l1059z00_1014))
																	{	/* Eval/expdtrace.scm 98 */
																		BgL_arg1235z00_668 =
																			CDR(BgL_head1061z00_671);
																	}
																else
																	{	/* Eval/expdtrace.scm 98 */
																		obj_t BgL_newtail1063z00_1022;

																		{	/* Eval/expdtrace.scm 98 */
																			obj_t BgL_arg1241z00_1023;

																			{	/* Eval/expdtrace.scm 98 */
																				obj_t BgL_xz00_1024;

																				BgL_xz00_1024 = CAR(BgL_l1059z00_1014);
																				BgL_arg1241z00_1023 =
																					PROCEDURE_ENTRY(BgL_ez00_656)
																					(BgL_ez00_656, BgL_xz00_1024,
																					BgL_ez00_656, BEOA);
																			}
																			{	/* Eval/expdtrace.scm 98 */
																				obj_t BgL_res1513z00_1032;

																				BgL_res1513z00_1032 =
																					MAKE_PAIR(BgL_arg1241z00_1023, BNIL);
																				BgL_newtail1063z00_1022 =
																					BgL_res1513z00_1032;
																			}
																		}
																		SET_CDR(BgL_tail1062z00_1015,
																			BgL_newtail1063z00_1022);
																		{
																			obj_t BgL_tail1062z00_1449;
																			obj_t BgL_l1059z00_1447;

																			BgL_l1059z00_1447 =
																				CDR(BgL_l1059z00_1014);
																			BgL_tail1062z00_1449 =
																				BgL_newtail1063z00_1022;
																			BgL_tail1062z00_1015 =
																				BgL_tail1062z00_1449;
																			BgL_l1059z00_1014 = BgL_l1059z00_1447;
																			goto BgL_zc3anonymousza31237ze3z83_1013;
																		}
																	}
															}
														}
												}
												BgL_arg1232z00_667 =
													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg1235z00_668, BNIL);
											}
											BgL_arg1228z00_665 =
												MAKE_PAIR(BGl_symbol1578z00zz__expander_tracez00,
												BgL_arg1232z00_667);
										}
										BgL_arg1231z00_666 = MAKE_PAIR(BUNSPEC, BNIL);
										BgL_arg1220z00_661 =
											MAKE_PAIR(BgL_arg1228z00_665, BgL_arg1231z00_666);
									}
									BgL_arg1214z00_659 =
										MAKE_PAIR(BgL_arg1219z00_660, BgL_arg1220z00_661);
								}
								return
									MAKE_PAIR(BGl_symbol1561z00zz__expander_tracez00,
									BgL_arg1214z00_659);
							}
						else
							{	/* Eval/expdtrace.scm 94 */
								return BUNSPEC;
							}
					}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__expander_tracez00()
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 14 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__expander_tracez00()
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__expander_tracez00()
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__expander_tracez00()
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string1580z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string1580z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string1580z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string1580z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string1580z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string1580z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 426797061),
				BSTRING_TO_STRING(BGl_string1580z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string1580z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string1580z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258),
				BSTRING_TO_STRING(BGl_string1580z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string1580z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string1580z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string1580z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string1580z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string1580z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string1580z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string1580z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string1580z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797),
				BSTRING_TO_STRING(BGl_string1580z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string1580z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 451655587),
				BSTRING_TO_STRING(BGl_string1580z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731),
				BSTRING_TO_STRING(BGl_string1580z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string1580z00zz__expander_tracez00));
			return BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string1580z00zz__expander_tracez00));
		}
	}

#ifdef __cplusplus
}
#endif
