/*===========================================================================*/
/*   (Rgc/rgctree.scm)                                                       */
/*   Bigloo (3.8b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed May 2 08:00:52 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8b -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Rgc/rgctree.scm -indent -o objs/obj_u/Rgc/rgctree.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_symbol1671z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol1674z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol1677z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol1680z00zz__rgc_treez00 = BUNSPEC;
	static long BGl_regularzd2treezd2positionzd2numberzd2zz__rgc_treez00(obj_t);
	static obj_t BGl_symbol1684z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol1687z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31242ze3ze1zz__rgc_treez00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_orzd2ze3nodez31zz__rgc_treez00(obj_t);
	extern obj_t BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00(obj_t, obj_t);
	static obj_t BGl_treezd2ze3nodez31zz__rgc_treez00(obj_t);
	static obj_t BGl_symbol1690z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol1694z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol1697z00zz__rgc_treez00 = BUNSPEC;
	extern obj_t bgl_display_obj(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_regularzd2treezd2ze3nodeze3zz__rgc_treez00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__rgc_treez00();
	static obj_t BGl_z62zc3anonymousza31253ze3ze1zz__rgc_treez00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__rgc_treez00();
	static obj_t BGl_objectzd2initzd2zz__rgc_treez00();
	static obj_t BGl_za2currentzd2positionza2zd2zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_za2submatchesza2z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_initzd2positionsz12zc0zz__rgc_treez00();
	static obj_t BGl_z62zc3anonymousza31256ze3ze1zz__rgc_treez00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_resetzd2treez12zc0zz__rgc_treez00();
	extern obj_t make_vector(int, obj_t);
	static obj_t BGl_methodzd2initzd2zz__rgc_treez00();
	static obj_t BGl_za2positionsza2z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_sequencezd2ze3nodez31zz__rgc_treez00(obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_za2positionzd2numberza2zd2zz__rgc_treez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_printzd2nodezd2zz__rgc_treez00(obj_t);
	static obj_t BGl_list1651z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_z62or2zd2ze3nodez53zz__rgc_treez00(obj_t, obj_t, obj_t);
	static obj_t BGl_list1654z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list1655z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list1658z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_z62resetzd2treez12za2zz__rgc_treez00(obj_t);
	static obj_t BGl_initzd2followposz12zc0zz__rgc_treez00();
	static obj_t BGl_list1663z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list1666z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list1667z00zz__rgc_treez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__rgc_treez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__rgc_configz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__rgc_setz00(long, char *);
	static obj_t BGl_submatchzd2stopzd2addz12z12zz__rgc_treez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62printzd2nodezb0zz__rgc_treez00(obj_t, obj_t);
	static obj_t BGl_submatchzd2startzd2addz12z12zz__rgc_treez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_list1670z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list1673z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list1676z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list1679z00zz__rgc_treez00 = BUNSPEC;
	extern obj_t BGl_rgcsetzd2addz12zc0zz__rgc_setz00(obj_t, long);
	static obj_t BGl_list1683z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list1686z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list1689z00zz__rgc_treez00 = BUNSPEC;
	extern obj_t create_struct(obj_t, int);
	static obj_t BGl_list1692z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list1693z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zz__rgc_treez00();
	static obj_t BGl_z62regularzd2treezd2ze3nodez81zz__rgc_treez00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__rgc_treez00();
	static obj_t BGl_za2followposza2z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_submatchzd2ze3nodez31zz__rgc_treez00(obj_t);
	static obj_t BGl_binaryzd2ze3nodez31zz__rgc_treez00(obj_t, obj_t);
	static obj_t BGl_integerzd2ze3nodez31zz__rgc_treez00(obj_t);
	extern obj_t BGl_rgcsetzd2orz12zc0zz__rgc_setz00(obj_t, obj_t);
	static obj_t BGl_z62sequence2zd2ze3nodez53zz__rgc_treez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_loopz00zz__rgc_treez00(obj_t, obj_t);
	static long BGl_loopz72z72zz__rgc_treez00(obj_t, long);
	static obj_t BGl_symbol1631z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol1633z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol1635z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol1637z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol1639z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31221ze3ze1zz__rgc_treez00(obj_t, obj_t);
	extern obj_t BGl_rgcsetzd2orzd2zz__rgc_setz00(obj_t, obj_t);
	static obj_t BGl_symbol1641z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol1643z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_za2zd2ze3nodez93zz__rgc_treez00(obj_t);
	static obj_t BGl_symbol1652z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol1656z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol1659z00zz__rgc_treez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_printzd2followposzd2zz__rgc_treez00(obj_t);
	static obj_t BGl_symbol1661z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_z62printzd2followposzb0zz__rgc_treez00(obj_t, obj_t);
	static obj_t BGl_symbol1664z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol1668z00zz__rgc_treez00 = BUNSPEC;
	extern obj_t BGl_makezd2rgcsetzd2zz__rgc_setz00(long);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regularzd2treezd2ze3nodezd2envz31zz__rgc_treez00,
		BgL_bgl_za762regularza7d2tre1700z00,
		BGl_z62regularzd2treezd2ze3nodez81zz__rgc_treez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1632z00zz__rgc_treez00,
		BgL_bgl_string1632za700za7za7_1701za7, "epsilon", 7);
	      DEFINE_STRING(BGl_string1634z00zz__rgc_treez00,
		BgL_bgl_string1634za700za7za7_1702za7, "node", 4);
	      DEFINE_STRING(BGl_string1636z00zz__rgc_treez00,
		BgL_bgl_string1636za700za7za7_1703za7, "or", 2);
	      DEFINE_STRING(BGl_string1638z00zz__rgc_treez00,
		BgL_bgl_string1638za700za7za7_1704za7, "sequence", 8);
	      DEFINE_STRING(BGl_string1640z00zz__rgc_treez00,
		BgL_bgl_string1640za700za7za7_1705za7, "*", 1);
	      DEFINE_STRING(BGl_string1642z00zz__rgc_treez00,
		BgL_bgl_string1642za700za7za7_1706za7, "submatch", 8);
	      DEFINE_STRING(BGl_string1644z00zz__rgc_treez00,
		BgL_bgl_string1644za700za7za7_1707za7, "bol", 3);
	      DEFINE_STRING(BGl_string1645z00zz__rgc_treez00,
		BgL_bgl_string1645za700za7za7_1708za7, "RGC:Unknown function", 20);
	      DEFINE_STRING(BGl_string1646z00zz__rgc_treez00,
		BgL_bgl_string1646za700za7za7_1709za7, "RGC:Illegal tree", 16);
	      DEFINE_STRING(BGl_string1649z00zz__rgc_treez00,
		BgL_bgl_string1649za700za7za7_1710za7,
		"========= FOLLOWPOS ==============================", 50);
	      DEFINE_STRING(BGl_string1650z00zz__rgc_treez00,
		BgL_bgl_string1650za700za7za7_1711za7, "number of pos: ", 15);
	      DEFINE_STRING(BGl_string1653z00zz__rgc_treez00,
		BgL_bgl_string1653za700za7za7_1712za7, "let", 3);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc1647z00zz__rgc_treez00,
		BgL_bgl_za762or2za7d2za7e3node1713za7,
		BGl_z62or2zd2ze3nodez53zz__rgc_treez00);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc1648z00zz__rgc_treez00,
		BgL_bgl_za762sequence2za7d2za71714za7,
		BGl_z62sequence2zd2ze3nodez53zz__rgc_treez00);
	      DEFINE_STRING(BGl_string1657z00zz__rgc_treez00,
		BgL_bgl_string1657za700za7za7_1715za7, "sz", 2);
	      DEFINE_STRING(BGl_string1660z00zz__rgc_treez00,
		BgL_bgl_string1660za700za7za7_1716za7, "vector-length", 13);
	      DEFINE_STRING(BGl_string1662z00zz__rgc_treez00,
		BgL_bgl_string1662za700za7za7_1717za7, "fp", 2);
	      DEFINE_STRING(BGl_string1665z00zz__rgc_treez00,
		BgL_bgl_string1665za700za7za7_1718za7, "loop", 4);
	      DEFINE_STRING(BGl_string1669z00zz__rgc_treez00,
		BgL_bgl_string1669za700za7za7_1719za7, "i", 1);
	      DEFINE_STRING(BGl_string1672z00zz__rgc_treez00,
		BgL_bgl_string1672za700za7za7_1720za7, "if", 2);
	      DEFINE_STRING(BGl_string1675z00zz__rgc_treez00,
		BgL_bgl_string1675za700za7za7_1721za7, "<fx", 3);
	      DEFINE_STRING(BGl_string1678z00zz__rgc_treez00,
		BgL_bgl_string1678za700za7za7_1722za7, "begin", 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_resetzd2treez12zd2envz12zz__rgc_treez00,
		BgL_bgl_za762resetza7d2treeza71723za7,
		BGl_z62resetzd2treez12za2zz__rgc_treez00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1681z00zz__rgc_treez00,
		BgL_bgl_string1681za700za7za7_1724za7, "print", 5);
	      DEFINE_STRING(BGl_string1682z00zz__rgc_treez00,
		BgL_bgl_string1682za700za7za7_1725za7, ": ", 2);
	      DEFINE_STRING(BGl_string1685z00zz__rgc_treez00,
		BgL_bgl_string1685za700za7za7_1726za7, "reverse", 7);
	      DEFINE_STRING(BGl_string1688z00zz__rgc_treez00,
		BgL_bgl_string1688za700za7za7_1727za7, "rgcset->list", 12);
	      DEFINE_STRING(BGl_string1691z00zz__rgc_treez00,
		BgL_bgl_string1691za700za7za7_1728za7, "vector-ref", 10);
	      DEFINE_STRING(BGl_string1695z00zz__rgc_treez00,
		BgL_bgl_string1695za700za7za7_1729za7, "+fx", 3);
	      DEFINE_STRING(BGl_string1696z00zz__rgc_treez00,
		BgL_bgl_string1696za700za7za7_1730za7,
		"==================================================", 50);
	      DEFINE_STRING(BGl_string1698z00zz__rgc_treez00,
		BgL_bgl_string1698za700za7za7_1731za7, "blop", 4);
	      DEFINE_STRING(BGl_string1699z00zz__rgc_treez00,
		BgL_bgl_string1699za700za7za7_1732za7, "__rgc_tree", 10);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_printzd2nodezd2envz00zz__rgc_treez00,
		BgL_bgl_za762printza7d2nodeza71733za7,
		BGl_z62printzd2nodezb0zz__rgc_treez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_printzd2followposzd2envz00zz__rgc_treez00,
		BgL_bgl_za762printza7d2follo1734z00,
		BGl_z62printzd2followposzb0zz__rgc_treez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__rgc_treez00(long
		BgL_checksumz00_1846, char *BgL_fromz00_1847)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__rgc_treez00))
				{
					BGl_requirezd2initializa7ationz75zz__rgc_treez00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__rgc_treez00();
					BGl_importedzd2moduleszd2initz00zz__rgc_treez00();
					BGl_toplevelzd2initzd2zz__rgc_treez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__rgc_treez00()
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 14 */
			BGl_symbol1631z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1632z00zz__rgc_treez00);
			BGl_symbol1633z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1634z00zz__rgc_treez00);
			BGl_symbol1635z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1636z00zz__rgc_treez00);
			BGl_symbol1637z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1638z00zz__rgc_treez00);
			BGl_symbol1639z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1640z00zz__rgc_treez00);
			BGl_symbol1641z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1642z00zz__rgc_treez00);
			BGl_symbol1643z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1644z00zz__rgc_treez00);
			BGl_symbol1652z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1653z00zz__rgc_treez00);
			BGl_symbol1656z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1657z00zz__rgc_treez00);
			BGl_symbol1659z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1660z00zz__rgc_treez00);
			BGl_symbol1661z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1662z00zz__rgc_treez00);
			BGl_list1658z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_symbol1659z00zz__rgc_treez00,
				MAKE_PAIR(BGl_symbol1661z00zz__rgc_treez00, BNIL));
			BGl_list1655z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_symbol1656z00zz__rgc_treez00,
				MAKE_PAIR(BGl_list1658z00zz__rgc_treez00, BNIL));
			BGl_list1654z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_list1655z00zz__rgc_treez00, BNIL);
			BGl_symbol1664z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1665z00zz__rgc_treez00);
			BGl_symbol1668z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1669z00zz__rgc_treez00);
			BGl_list1667z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_symbol1668z00zz__rgc_treez00,
				MAKE_PAIR(BINT(((long) 0)), BNIL));
			BGl_list1666z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_list1667z00zz__rgc_treez00, BNIL);
			BGl_symbol1671z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1672z00zz__rgc_treez00);
			BGl_symbol1674z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1675z00zz__rgc_treez00);
			BGl_list1673z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_symbol1674z00zz__rgc_treez00,
				MAKE_PAIR(BGl_symbol1668z00zz__rgc_treez00,
					MAKE_PAIR(BGl_symbol1656z00zz__rgc_treez00, BNIL)));
			BGl_symbol1677z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1678z00zz__rgc_treez00);
			BGl_symbol1680z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1681z00zz__rgc_treez00);
			BGl_symbol1684z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1685z00zz__rgc_treez00);
			BGl_symbol1687z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1688z00zz__rgc_treez00);
			BGl_symbol1690z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1691z00zz__rgc_treez00);
			BGl_list1689z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_symbol1690z00zz__rgc_treez00,
				MAKE_PAIR(BGl_symbol1661z00zz__rgc_treez00,
					MAKE_PAIR(BGl_symbol1668z00zz__rgc_treez00, BNIL)));
			BGl_list1686z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_symbol1687z00zz__rgc_treez00,
				MAKE_PAIR(BGl_list1689z00zz__rgc_treez00, BNIL));
			BGl_list1683z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_symbol1684z00zz__rgc_treez00,
				MAKE_PAIR(BGl_list1686z00zz__rgc_treez00, BNIL));
			BGl_list1679z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_symbol1680z00zz__rgc_treez00,
				MAKE_PAIR(BGl_symbol1668z00zz__rgc_treez00,
					MAKE_PAIR(BGl_string1682z00zz__rgc_treez00,
						MAKE_PAIR(BGl_list1683z00zz__rgc_treez00, BNIL))));
			BGl_symbol1694z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1695z00zz__rgc_treez00);
			BGl_list1693z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_symbol1694z00zz__rgc_treez00,
				MAKE_PAIR(BGl_symbol1668z00zz__rgc_treez00,
					MAKE_PAIR(BINT(((long) 1)), BNIL)));
			BGl_list1692z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_symbol1664z00zz__rgc_treez00,
				MAKE_PAIR(BGl_list1693z00zz__rgc_treez00, BNIL));
			BGl_list1676z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_symbol1677z00zz__rgc_treez00,
				MAKE_PAIR(BGl_list1679z00zz__rgc_treez00,
					MAKE_PAIR(BGl_list1692z00zz__rgc_treez00, BNIL)));
			BGl_list1670z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_symbol1671z00zz__rgc_treez00,
				MAKE_PAIR(BGl_list1673z00zz__rgc_treez00,
					MAKE_PAIR(BGl_list1676z00zz__rgc_treez00, BNIL)));
			BGl_list1663z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_symbol1652z00zz__rgc_treez00,
				MAKE_PAIR(BGl_symbol1664z00zz__rgc_treez00,
					MAKE_PAIR(BGl_list1666z00zz__rgc_treez00,
						MAKE_PAIR(BGl_list1670z00zz__rgc_treez00, BNIL))));
			BGl_list1651z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_symbol1652z00zz__rgc_treez00,
				MAKE_PAIR(BGl_list1654z00zz__rgc_treez00,
					MAKE_PAIR(BGl_list1663z00zz__rgc_treez00, BNIL)));
			return (BGl_symbol1697z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1698z00zz__rgc_treez00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__rgc_treez00()
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 14 */
			BGl_za2positionzd2numberza2zd2zz__rgc_treez00 = BUNSPEC;
			BGl_za2positionsza2z00zz__rgc_treez00 = BUNSPEC;
			BGl_za2submatchesza2z00zz__rgc_treez00 = BUNSPEC;
			BGl_za2currentzd2positionza2zd2zz__rgc_treez00 = BUNSPEC;
			return (BGl_za2followposza2z00zz__rgc_treez00 = BUNSPEC, BUNSPEC);
		}
	}



/* regular-tree->node */
	BGL_EXPORTED_DEF obj_t BGl_regularzd2treezd2ze3nodeze3zz__rgc_treez00(obj_t
		BgL_treez00_17)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 58 */
			BGl_za2positionzd2numberza2zd2zz__rgc_treez00 =
				BINT(BGl_regularzd2treezd2positionzd2numberzd2zz__rgc_treez00
				(BgL_treez00_17));
			BGl_initzd2positionsz12zc0zz__rgc_treez00();
			BGl_initzd2followposz12zc0zz__rgc_treez00();
			{	/* Rgc/rgctree.scm 66 */
				obj_t BgL_treez00_670;

				BgL_treez00_670 = BGl_treezd2ze3nodez31zz__rgc_treez00(BgL_treez00_17);
				{	/* Rgc/rgctree.scm 68 */
					obj_t BgL_val1_1069z00_672;
					obj_t BgL_val2_1070z00_673;
					obj_t BgL_val3_1071z00_674;

					BgL_val1_1069z00_672 = BGl_za2followposza2z00zz__rgc_treez00;
					BgL_val2_1070z00_673 = BGl_za2positionsza2z00zz__rgc_treez00;
					BgL_val3_1071z00_674 = BGl_za2submatchesza2z00zz__rgc_treez00;
					{	/* Rgc/rgctree.scm 68 */
						int BgL_res1560z00_1144;

						{	/* Rgc/rgctree.scm 68 */
							int BgL_auxz00_1923;

							BgL_auxz00_1923 = (int) (((long) 4));
							BgL_res1560z00_1144 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_1923);
						} BgL_res1560z00_1144;
					}
					{	/* Rgc/rgctree.scm 68 */
						int BgL_auxz00_1926;

						BgL_auxz00_1926 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_auxz00_1926, BgL_val1_1069z00_672);
					}
					{	/* Rgc/rgctree.scm 68 */
						int BgL_auxz00_1929;

						BgL_auxz00_1929 = (int) (((long) 2));
						BGL_MVALUES_VAL_SET(BgL_auxz00_1929, BgL_val2_1070z00_673);
					}
					{	/* Rgc/rgctree.scm 68 */
						int BgL_auxz00_1932;

						BgL_auxz00_1932 = (int) (((long) 3));
						BGL_MVALUES_VAL_SET(BgL_auxz00_1932, BgL_val3_1071z00_674);
					}
					return BgL_treez00_670;
				}
			}
		}
	}



/* &regular-tree->node */
	obj_t BGl_z62regularzd2treezd2ze3nodez81zz__rgc_treez00(obj_t BgL_envz00_1808,
		obj_t BgL_treez00_1809)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 58 */
			return BGl_regularzd2treezd2ze3nodeze3zz__rgc_treez00(BgL_treez00_1809);
		}
	}



/* regular-tree-position-number */
	long BGl_regularzd2treezd2positionzd2numberzd2zz__rgc_treez00(obj_t
		BgL_treez00_18)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 84 */
			return BGl_loopz72z72zz__rgc_treez00(BgL_treez00_18, ((long) 0));
		}
	}



/* loop' */
	long BGl_loopz72z72zz__rgc_treez00(obj_t BgL_treez00_676, long BgL_numz00_677)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 85 */
		BGl_loopz72z72zz__rgc_treez00:
			if (NULLP(BgL_treez00_676))
				{	/* Rgc/rgctree.scm 88 */
					return BgL_numz00_677;
				}
			else
				{	/* Rgc/rgctree.scm 90 */
					bool_t BgL_testz00_1939;

					{	/* Rgc/rgctree.scm 90 */
						obj_t BgL_auxz00_1940;

						BgL_auxz00_1940 = CAR(BgL_treez00_676);
						BgL_testz00_1939 = PAIRP(BgL_auxz00_1940);
					}
					if (BgL_testz00_1939)
						{
							long BgL_numz00_1945;
							obj_t BgL_treez00_1943;

							BgL_treez00_1943 = CDR(BgL_treez00_676);
							BgL_numz00_1945 =
								BGl_loopz72z72zz__rgc_treez00(CAR(BgL_treez00_676),
								BgL_numz00_677);
							BgL_numz00_677 = BgL_numz00_1945;
							BgL_treez00_676 = BgL_treez00_1943;
							goto BGl_loopz72z72zz__rgc_treez00;
						}
					else
						{	/* Rgc/rgctree.scm 90 */
							if (INTEGERP(CAR(BgL_treez00_676)))
								{
									long BgL_numz00_1953;
									obj_t BgL_treez00_1951;

									BgL_treez00_1951 = CDR(BgL_treez00_676);
									BgL_numz00_1953 = (BgL_numz00_677 + ((long) 1));
									BgL_numz00_677 = BgL_numz00_1953;
									BgL_treez00_676 = BgL_treez00_1951;
									goto BGl_loopz72z72zz__rgc_treez00;
								}
							else
								{
									obj_t BgL_treez00_1955;

									BgL_treez00_1955 = CDR(BgL_treez00_676);
									BgL_treez00_676 = BgL_treez00_1955;
									goto BGl_loopz72z72zz__rgc_treez00;
								}
						}
				}
		}
	}



/* init-positions! */
	obj_t BGl_initzd2positionsz12zc0zz__rgc_treez00()
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 100 */
			BGl_za2currentzd2positionza2zd2zz__rgc_treez00 = BINT(((long) -1));
			BGl_za2positionsza2z00zz__rgc_treez00 =
				make_vector(CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00),
				BINT(((long) -1)));
			return (BGl_za2submatchesza2z00zz__rgc_treez00 =
				make_vector(CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00), BNIL),
				BUNSPEC);
		}
	}



/* tree->node */
	obj_t BGl_treezd2ze3nodez31zz__rgc_treez00(obj_t BgL_treez00_20)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 121 */
			if (INTEGERP(BgL_treez00_20))
				{	/* Rgc/rgctree.scm 123 */
					return BGl_integerzd2ze3nodez31zz__rgc_treez00(BgL_treez00_20);
				}
			else
				{	/* Rgc/rgctree.scm 123 */
					if ((BgL_treez00_20 == BGl_symbol1631z00zz__rgc_treez00))
						{	/* Rgc/rgctree.scm 126 */
							obj_t BgL_firstposz00_1175;
							obj_t BgL_lastposz00_1176;

							BgL_firstposz00_1175 =
								BGl_makezd2rgcsetzd2zz__rgc_setz00(
								(long) CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00));
							BgL_lastposz00_1176 =
								BGl_makezd2rgcsetzd2zz__rgc_setz00(
								(long) CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00));
							{	/* Rgc/rgctree.scm 126 */
								obj_t BgL_newz00_1180;

								BgL_newz00_1180 =
									create_struct(BGl_symbol1633z00zz__rgc_treez00,
									(int) (((long) 3)));
								{	/* Rgc/rgctree.scm 126 */
									int BgL_auxz00_1974;

									BgL_auxz00_1974 = (int) (((long) 2));
									STRUCT_SET(BgL_newz00_1180, BgL_auxz00_1974, BTRUE);
								}
								{	/* Rgc/rgctree.scm 126 */
									int BgL_auxz00_1977;

									BgL_auxz00_1977 = (int) (((long) 1));
									STRUCT_SET(BgL_newz00_1180, BgL_auxz00_1977,
										BgL_lastposz00_1176);
								}
								{	/* Rgc/rgctree.scm 126 */
									int BgL_auxz00_1980;

									BgL_auxz00_1980 = (int) (((long) 0));
									STRUCT_SET(BgL_newz00_1180, BgL_auxz00_1980,
										BgL_firstposz00_1175);
								}
								return BgL_newz00_1180;
							}
						}
					else
						{	/* Rgc/rgctree.scm 125 */
							if (PAIRP(BgL_treez00_20))
								{	/* Rgc/rgctree.scm 130 */
									obj_t BgL_casezd2valuezd2_694;

									BgL_casezd2valuezd2_694 = CAR(BgL_treez00_20);
									if (
										(BgL_casezd2valuezd2_694 ==
											BGl_symbol1635z00zz__rgc_treez00))
										{	/* Rgc/rgctree.scm 130 */
											return
												BGl_orzd2ze3nodez31zz__rgc_treez00(CDR(BgL_treez00_20));
										}
									else
										{	/* Rgc/rgctree.scm 130 */
											if (
												(BgL_casezd2valuezd2_694 ==
													BGl_symbol1637z00zz__rgc_treez00))
												{	/* Rgc/rgctree.scm 130 */
													return
														BGl_sequencezd2ze3nodez31zz__rgc_treez00(CDR
														(BgL_treez00_20));
												}
											else
												{	/* Rgc/rgctree.scm 130 */
													if (
														(BgL_casezd2valuezd2_694 ==
															BGl_symbol1639z00zz__rgc_treez00))
														{	/* Rgc/rgctree.scm 130 */
															return
																BGl_za2zd2ze3nodez93zz__rgc_treez00(CAR(CDR
																	(BgL_treez00_20)));
														}
													else
														{	/* Rgc/rgctree.scm 130 */
															if (
																(BgL_casezd2valuezd2_694 ==
																	BGl_symbol1641z00zz__rgc_treez00))
																{	/* Rgc/rgctree.scm 130 */
																	return
																		BGl_submatchzd2ze3nodez31zz__rgc_treez00(CDR
																		(BgL_treez00_20));
																}
															else
																{	/* Rgc/rgctree.scm 130 */
																	if (
																		(BgL_casezd2valuezd2_694 ==
																			BGl_symbol1643z00zz__rgc_treez00))
																		{	/* Rgc/rgctree.scm 135 */
																			obj_t BgL_arg1194z00_704;

																			BgL_arg1194z00_704 = CDR(BgL_treez00_20);
																			{	/* Rgc/rgctree.scm 135 */
																				obj_t BgL_nodez00_1223;

																				BgL_nodez00_1223 =
																					BGl_treezd2ze3nodez31zz__rgc_treez00
																					(BgL_arg1194z00_704);
																				{	/* Rgc/rgctree.scm 135 */
																					obj_t BgL_firstposz00_1224;

																					BgL_firstposz00_1224 =
																						STRUCT_REF(BgL_nodez00_1223,
																						(int) (((long) 0)));
																					{	/* Rgc/rgctree.scm 135 */
																						obj_t BgL_lastposz00_1225;

																						BgL_lastposz00_1225 =
																							STRUCT_REF(BgL_nodez00_1223,
																							(int) (((long) 1)));
																						{	/* Rgc/rgctree.scm 135 */

																							return
																								PROCEDURE_ENTRY
																								(BgL_nodez00_1223)
																								(BgL_nodez00_1223,
																								BgL_firstposz00_1224,
																								BgL_lastposz00_1225, BFALSE,
																								BEOA);
																						}
																					}
																				}
																			}
																		}
																	else
																		{	/* Rgc/rgctree.scm 130 */
																			return
																				BGl_errorz00zz__errorz00(BFALSE,
																				BGl_string1645z00zz__rgc_treez00,
																				BgL_treez00_20);
																		}
																}
														}
												}
										}
								}
							else
								{	/* Rgc/rgctree.scm 127 */
									return
										BGl_errorz00zz__errorz00(BFALSE,
										BGl_string1646z00zz__rgc_treez00, BgL_treez00_20);
								}
						}
				}
		}
	}



/* integer->node */
	obj_t BGl_integerzd2ze3nodez31zz__rgc_treez00(obj_t BgL_treez00_21)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 141 */
			{	/* Rgc/rgctree.scm 142 */
				obj_t BgL_positionz00_705;
				obj_t BgL_firstposz00_706;
				obj_t BgL_lastposz00_707;

				{	/* Rgc/rgctree.scm 142 */
					long BgL_za71za7_1233;

					BgL_za71za7_1233 =
						(long) CINT(BGl_za2currentzd2positionza2zd2zz__rgc_treez00);
					BGl_za2currentzd2positionza2zd2zz__rgc_treez00 =
						BINT((BgL_za71za7_1233 + ((long) 1)));
				}
				VECTOR_SET(BGl_za2positionsza2z00zz__rgc_treez00,
					CINT(BGl_za2currentzd2positionza2zd2zz__rgc_treez00), BgL_treez00_21);
				BgL_positionz00_705 = BGl_za2currentzd2positionza2zd2zz__rgc_treez00;
				BgL_firstposz00_706 =
					BGl_makezd2rgcsetzd2zz__rgc_setz00(
					(long) CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00));
				BgL_lastposz00_707 =
					BGl_makezd2rgcsetzd2zz__rgc_setz00(
					(long) CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00));
				BGl_rgcsetzd2addz12zc0zz__rgc_setz00(BgL_firstposz00_706,
					(long) CINT(BgL_positionz00_705));
				BGl_rgcsetzd2addz12zc0zz__rgc_setz00(BgL_lastposz00_707,
					(long) CINT(BgL_positionz00_705));
				{	/* Rgc/rgctree.scm 147 */
					obj_t BgL_newz00_1242;

					BgL_newz00_1242 =
						create_struct(BGl_symbol1633z00zz__rgc_treez00, (int) (((long) 3)));
					{	/* Rgc/rgctree.scm 147 */
						int BgL_auxz00_2034;

						BgL_auxz00_2034 = (int) (((long) 2));
						STRUCT_SET(BgL_newz00_1242, BgL_auxz00_2034, BFALSE);
					}
					{	/* Rgc/rgctree.scm 147 */
						int BgL_auxz00_2037;

						BgL_auxz00_2037 = (int) (((long) 1));
						STRUCT_SET(BgL_newz00_1242, BgL_auxz00_2037, BgL_lastposz00_707);
					}
					{	/* Rgc/rgctree.scm 147 */
						int BgL_auxz00_2040;

						BgL_auxz00_2040 = (int) (((long) 0));
						STRUCT_SET(BgL_newz00_1242, BgL_auxz00_2040, BgL_firstposz00_706);
					}
					return BgL_newz00_1242;
				}
			}
		}
	}



/* binary->node */
	obj_t BGl_binaryzd2ze3nodez31zz__rgc_treez00(obj_t BgL_binzd2opzd2_23,
		obj_t BgL_tsz00_24)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 160 */
			if (NULLP(BgL_tsz00_24))
				{	/* Rgc/rgctree.scm 161 */
					return
						BGl_treezd2ze3nodez31zz__rgc_treez00
						(BGl_symbol1631z00zz__rgc_treez00);
				}
			else
				{	/* Rgc/rgctree.scm 161 */
					return BGl_loopz00zz__rgc_treez00(BgL_binzd2opzd2_23, BgL_tsz00_24);
				}
		}
	}



/* loop */
	obj_t BGl_loopz00zz__rgc_treez00(obj_t BgL_binzd2opzd2_1842,
		obj_t BgL_tsz00_712)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 163 */
			if (NULLP(CDR(BgL_tsz00_712)))
				{	/* Rgc/rgctree.scm 164 */
					return BGl_treezd2ze3nodez31zz__rgc_treez00(CAR(BgL_tsz00_712));
				}
			else
				{	/* Rgc/rgctree.scm 166 */
					obj_t BgL_arg1199z00_716;
					obj_t BgL_arg1200z00_717;

					BgL_arg1199z00_716 =
						BGl_treezd2ze3nodez31zz__rgc_treez00(CAR(BgL_tsz00_712));
					BgL_arg1200z00_717 =
						BGl_loopz00zz__rgc_treez00(BgL_binzd2opzd2_1842,
						CDR(BgL_tsz00_712));
					return
						((obj_t(*)())PROCEDURE_L_ENTRY(BgL_binzd2opzd2_1842))
						(BgL_binzd2opzd2_1842, BgL_arg1199z00_716, BgL_arg1200z00_717);
				}
		}
	}



/* or->node */
	obj_t BGl_orzd2ze3nodez31zz__rgc_treez00(obj_t BgL_tsz00_25)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 171 */
			return
				BGl_binaryzd2ze3nodez31zz__rgc_treez00(BGl_proc1647z00zz__rgc_treez00,
				BgL_tsz00_25);
		}
	}



/* &or2->node */
	obj_t BGl_z62or2zd2ze3nodez53zz__rgc_treez00(obj_t BgL_envz00_1811,
		obj_t BgL_n1z00_1812, obj_t BgL_n2z00_1813)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 176 */
			{
				obj_t BgL_n1z00_723;
				obj_t BgL_n2z00_724;

				BgL_n1z00_723 = BgL_n1z00_1812;
				BgL_n2z00_724 = BgL_n2z00_1813;
				{	/* Rgc/rgctree.scm 173 */
					obj_t BgL_firstposz00_726;

					BgL_firstposz00_726 =
						BGl_rgcsetzd2orzd2zz__rgc_setz00(STRUCT_REF(BgL_n1z00_723,
							(int) (((long) 0))),
						STRUCT_REF(BgL_n2z00_724, (int) (((long) 0))));
					{	/* Rgc/rgctree.scm 173 */
						obj_t BgL_lastposz00_727;

						BgL_lastposz00_727 =
							BGl_rgcsetzd2orzd2zz__rgc_setz00(STRUCT_REF(BgL_n1z00_723,
								(int) (((long) 1))),
							STRUCT_REF(BgL_n2z00_724, (int) (((long) 1))));
						{	/* Rgc/rgctree.scm 174 */
							obj_t BgL_nullablezf3zf3_728;

							{	/* Rgc/rgctree.scm 175 */
								obj_t BgL__ortest_1038z00_729;

								BgL__ortest_1038z00_729 =
									STRUCT_REF(BgL_n1z00_723, (int) (((long) 2)));
								if (CBOOL(BgL__ortest_1038z00_729))
									{	/* Rgc/rgctree.scm 175 */
										BgL_nullablezf3zf3_728 = BgL__ortest_1038z00_729;
									}
								else
									{	/* Rgc/rgctree.scm 175 */
										BgL_nullablezf3zf3_728 =
											STRUCT_REF(BgL_n2z00_724, (int) (((long) 2)));
							}}
							{	/* Rgc/rgctree.scm 175 */

								{	/* Rgc/rgctree.scm 176 */
									obj_t BgL_newz00_1308;

									BgL_newz00_1308 =
										create_struct(BGl_symbol1633z00zz__rgc_treez00,
										(int) (((long) 3)));
									{	/* Rgc/rgctree.scm 176 */
										int BgL_auxz00_2080;

										BgL_auxz00_2080 = (int) (((long) 2));
										STRUCT_SET(BgL_newz00_1308, BgL_auxz00_2080,
											BgL_nullablezf3zf3_728);
									}
									{	/* Rgc/rgctree.scm 176 */
										int BgL_auxz00_2083;

										BgL_auxz00_2083 = (int) (((long) 1));
										STRUCT_SET(BgL_newz00_1308, BgL_auxz00_2083,
											BgL_lastposz00_727);
									}
									{	/* Rgc/rgctree.scm 176 */
										int BgL_auxz00_2086;

										BgL_auxz00_2086 = (int) (((long) 0));
										STRUCT_SET(BgL_newz00_1308, BgL_auxz00_2086,
											BgL_firstposz00_726);
									}
									return BgL_newz00_1308;
								}
							}
						}
					}
				}
			}
		}
	}



/* sequence->node */
	obj_t BGl_sequencezd2ze3nodez31zz__rgc_treez00(obj_t BgL_tsz00_26)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 182 */
			return
				BGl_binaryzd2ze3nodez31zz__rgc_treez00(BGl_proc1648z00zz__rgc_treez00,
				BgL_tsz00_26);
		}
	}



/* &sequence2->node */
	obj_t BGl_z62sequence2zd2ze3nodez53zz__rgc_treez00(obj_t BgL_envz00_1816,
		obj_t BgL_n1z00_1817, obj_t BgL_n2z00_1818)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 196 */
			{
				obj_t BgL_n1z00_736;
				obj_t BgL_n2z00_737;

				BgL_n1z00_736 = BgL_n1z00_1817;
				BgL_n2z00_737 = BgL_n2z00_1818;
				{	/* Rgc/rgctree.scm 184 */
					obj_t BgL_firstposz00_739;
					obj_t BgL_lastposz00_740;
					obj_t BgL_nullablezf3zf3_741;

					{	/* Rgc/rgctree.scm 184 */
						bool_t BgL_testz00_2090;

						{	/* Rgc/rgctree.scm 184 */
							obj_t BgL_sz00_1325;

							BgL_sz00_1325 = BgL_n1z00_736;
							BgL_testz00_2090 =
								CBOOL(STRUCT_REF(BgL_sz00_1325, (int) (((long) 2))));
						}
						if (BgL_testz00_2090)
							{	/* Rgc/rgctree.scm 184 */
								BgL_firstposz00_739 =
									BGl_rgcsetzd2orzd2zz__rgc_setz00(STRUCT_REF(BgL_n1z00_736,
										(int) (((long) 0))),
									STRUCT_REF(BgL_n2z00_737, (int) (((long) 0))));
							}
						else
							{	/* Rgc/rgctree.scm 184 */
								BgL_firstposz00_739 =
									STRUCT_REF(BgL_n1z00_736, (int) (((long) 0)));
					}}
					{	/* Rgc/rgctree.scm 187 */
						bool_t BgL_testz00_2101;

						{	/* Rgc/rgctree.scm 187 */
							obj_t BgL_sz00_1337;

							BgL_sz00_1337 = BgL_n2z00_737;
							BgL_testz00_2101 =
								CBOOL(STRUCT_REF(BgL_sz00_1337, (int) (((long) 2))));
						}
						if (BgL_testz00_2101)
							{	/* Rgc/rgctree.scm 187 */
								BgL_lastposz00_740 =
									BGl_rgcsetzd2orzd2zz__rgc_setz00(STRUCT_REF(BgL_n1z00_736,
										(int) (((long) 1))),
									STRUCT_REF(BgL_n2z00_737, (int) (((long) 1))));
							}
						else
							{	/* Rgc/rgctree.scm 187 */
								BgL_lastposz00_740 =
									STRUCT_REF(BgL_n2z00_737, (int) (((long) 1)));
					}}
					{	/* Rgc/rgctree.scm 190 */
						bool_t BgL_testz00_2112;

						{	/* Rgc/rgctree.scm 190 */
							obj_t BgL_sz00_1349;

							BgL_sz00_1349 = BgL_n2z00_737;
							BgL_testz00_2112 =
								CBOOL(STRUCT_REF(BgL_sz00_1349, (int) (((long) 2))));
						}
						if (BgL_testz00_2112)
							{	/* Rgc/rgctree.scm 190 */
								BgL_nullablezf3zf3_741 =
									STRUCT_REF(BgL_n1z00_736, (int) (((long) 2)));
							}
						else
							{	/* Rgc/rgctree.scm 190 */
								BgL_nullablezf3zf3_741 = BFALSE;
							}
					}
					{	/* Rgc/rgctree.scm 192 */
						obj_t BgL_arg1220z00_743;

						BgL_arg1220z00_743 = STRUCT_REF(BgL_n1z00_736, (int) (((long) 1)));
						{	/* Rgc/rgctree.scm 193 */
							obj_t BgL_zc3anonymousza31221ze3z83_1814;

							BgL_zc3anonymousza31221ze3z83_1814 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza31221ze3ze1zz__rgc_treez00,
								(int) (((long) 1)), (int) (((long) 1)));
							PROCEDURE_SET(BgL_zc3anonymousza31221ze3z83_1814,
								(int) (((long) 0)), BgL_n2z00_737);
							BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00
								(BgL_zc3anonymousza31221ze3z83_1814, BgL_arg1220z00_743);
					}}
					{	/* Rgc/rgctree.scm 196 */
						obj_t BgL_newz00_1369;

						BgL_newz00_1369 =
							create_struct(BGl_symbol1633z00zz__rgc_treez00,
							(int) (((long) 3)));
						{	/* Rgc/rgctree.scm 196 */
							int BgL_auxz00_2128;

							BgL_auxz00_2128 = (int) (((long) 2));
							STRUCT_SET(BgL_newz00_1369, BgL_auxz00_2128,
								BgL_nullablezf3zf3_741);
						}
						{	/* Rgc/rgctree.scm 196 */
							int BgL_auxz00_2131;

							BgL_auxz00_2131 = (int) (((long) 1));
							STRUCT_SET(BgL_newz00_1369, BgL_auxz00_2131, BgL_lastposz00_740);
						}
						{	/* Rgc/rgctree.scm 196 */
							int BgL_auxz00_2134;

							BgL_auxz00_2134 = (int) (((long) 0));
							STRUCT_SET(BgL_newz00_1369, BgL_auxz00_2134, BgL_firstposz00_739);
						}
						return BgL_newz00_1369;
					}
				}
			}
		}
	}



/* &<anonymous:1221> */
	obj_t BGl_z62zc3anonymousza31221ze3ze1zz__rgc_treez00(obj_t BgL_envz00_1819,
		obj_t BgL_iz00_1821)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 192 */
			{	/* Rgc/rgctree.scm 193 */
				obj_t BgL_n2z00_1820;

				BgL_n2z00_1820 = PROCEDURE_REF(BgL_envz00_1819, (int) (((long) 0)));
				{
					obj_t BgL_iz00_744;

					BgL_iz00_744 = BgL_iz00_1821;
					{	/* Rgc/rgctree.scm 193 */
						obj_t BgL_arg1225z00_1357;

						BgL_arg1225z00_1357 =
							STRUCT_REF(BgL_n2z00_1820, (int) (((long) 0)));
						return
							BGl_rgcsetzd2orz12zc0zz__rgc_setz00(VECTOR_REF
							(BGl_za2followposza2z00zz__rgc_treez00, CINT(BgL_iz00_744)),
							BgL_arg1225z00_1357);
					}
				}
			}
		}
	}



/* *->node */
	obj_t BGl_za2zd2ze3nodez93zz__rgc_treez00(obj_t BgL_exprz00_27)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 202 */
			{	/* Rgc/rgctree.scm 203 */
				obj_t BgL_subzd2nodezd2_756;

				BgL_subzd2nodezd2_756 =
					BGl_treezd2ze3nodez31zz__rgc_treez00(BgL_exprz00_27);
				{	/* Rgc/rgctree.scm 203 */
					obj_t BgL_firstposz00_757;

					BgL_firstposz00_757 =
						STRUCT_REF(BgL_subzd2nodezd2_756, (int) (((long) 0)));
					{	/* Rgc/rgctree.scm 204 */
						obj_t BgL_lastposz00_758;

						BgL_lastposz00_758 =
							STRUCT_REF(BgL_subzd2nodezd2_756, (int) (((long) 1)));
						{	/* Rgc/rgctree.scm 205 */

							{	/* Rgc/rgctree.scm 208 */
								obj_t BgL_zc3anonymousza31242ze3z83_1822;

								BgL_zc3anonymousza31242ze3z83_1822 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza31242ze3ze1zz__rgc_treez00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza31242ze3z83_1822,
									(int) (((long) 0)), BgL_firstposz00_757);
								BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00
									(BgL_zc3anonymousza31242ze3z83_1822, BgL_lastposz00_758);
							}
							{	/* Rgc/rgctree.scm 211 */
								obj_t BgL_newz00_1399;

								BgL_newz00_1399 =
									create_struct(BGl_symbol1633z00zz__rgc_treez00,
									(int) (((long) 3)));
								{	/* Rgc/rgctree.scm 211 */
									int BgL_auxz00_2157;

									BgL_auxz00_2157 = (int) (((long) 2));
									STRUCT_SET(BgL_newz00_1399, BgL_auxz00_2157, BTRUE);
								}
								{	/* Rgc/rgctree.scm 211 */
									int BgL_auxz00_2160;

									BgL_auxz00_2160 = (int) (((long) 1));
									STRUCT_SET(BgL_newz00_1399, BgL_auxz00_2160,
										BgL_lastposz00_758);
								}
								{	/* Rgc/rgctree.scm 211 */
									int BgL_auxz00_2163;

									BgL_auxz00_2163 = (int) (((long) 0));
									STRUCT_SET(BgL_newz00_1399, BgL_auxz00_2163,
										BgL_firstposz00_757);
								}
								return BgL_newz00_1399;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:1242> */
	obj_t BGl_z62zc3anonymousza31242ze3ze1zz__rgc_treez00(obj_t BgL_envz00_1823,
		obj_t BgL_iz00_1825)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 207 */
			{	/* Rgc/rgctree.scm 208 */
				obj_t BgL_firstposz00_1824;

				BgL_firstposz00_1824 =
					PROCEDURE_REF(BgL_envz00_1823, (int) (((long) 0)));
				{
					obj_t BgL_iz00_760;

					BgL_iz00_760 = BgL_iz00_1825;
					return
						BGl_rgcsetzd2orz12zc0zz__rgc_setz00(VECTOR_REF
						(BGl_za2followposza2z00zz__rgc_treez00, CINT(BgL_iz00_760)),
						BgL_firstposz00_1824);
				}
			}
		}
	}



/* submatch->node */
	obj_t BGl_submatchzd2ze3nodez31zz__rgc_treez00(obj_t BgL_exprz00_28)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 216 */
			if (PAIRP(BgL_exprz00_28))
				{	/* Rgc/rgctree.scm 217 */
					obj_t BgL_cdrzd2111zd2_770;

					BgL_cdrzd2111zd2_770 = CDR(BgL_exprz00_28);
					if (PAIRP(BgL_cdrzd2111zd2_770))
						{	/* Rgc/rgctree.scm 217 */
							obj_t BgL_cdrzd2116zd2_772;

							BgL_cdrzd2116zd2_772 = CDR(BgL_cdrzd2111zd2_770);
							if (PAIRP(BgL_cdrzd2116zd2_772))
								{	/* Rgc/rgctree.scm 217 */
									if (NULLP(CDR(BgL_cdrzd2116zd2_772)))
										{	/* Rgc/rgctree.scm 217 */
											obj_t BgL_arg1248z00_775;
											obj_t BgL_arg1249z00_776;
											obj_t BgL_arg1250z00_777;

											BgL_arg1248z00_775 = CAR(BgL_exprz00_28);
											BgL_arg1249z00_776 = CAR(BgL_cdrzd2111zd2_770);
											BgL_arg1250z00_777 = CAR(BgL_cdrzd2116zd2_772);
											{	/* Rgc/rgctree.scm 217 */
												obj_t BgL_nodez00_1449;

												BgL_nodez00_1449 =
													BGl_treezd2ze3nodez31zz__rgc_treez00
													(BgL_arg1250z00_777);
												{	/* Rgc/rgctree.scm 217 */
													obj_t BgL_firstposz00_1450;

													BgL_firstposz00_1450 =
														STRUCT_REF(BgL_nodez00_1449, (int) (((long) 0)));
													{	/* Rgc/rgctree.scm 217 */
														obj_t BgL_lastposz00_1451;

														BgL_lastposz00_1451 =
															STRUCT_REF(BgL_nodez00_1449, (int) (((long) 1)));
														{	/* Rgc/rgctree.scm 217 */
															obj_t BgL_nullablezf3zf3_1452;

															BgL_nullablezf3zf3_1452 =
																STRUCT_REF(BgL_nodez00_1449,
																(int) (((long) 2)));
															{	/* Rgc/rgctree.scm 217 */

																{	/* Rgc/rgctree.scm 217 */
																	obj_t BgL_zc3anonymousza31253ze3z83_1827;

																	BgL_zc3anonymousza31253ze3z83_1827 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza31253ze3ze1zz__rgc_treez00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza31253ze3z83_1827,
																		(int) (((long) 0)),
																		BgL_nullablezf3zf3_1452);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza31253ze3z83_1827,
																		(int) (((long) 1)), BgL_arg1248z00_775);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza31253ze3z83_1827,
																		(int) (((long) 2)), BgL_arg1249z00_776);
																	BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00
																		(BgL_zc3anonymousza31253ze3z83_1827,
																		BgL_firstposz00_1450);
																}
																{	/* Rgc/rgctree.scm 217 */
																	obj_t BgL_zc3anonymousza31256ze3z83_1826;

																	BgL_zc3anonymousza31256ze3z83_1826 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza31256ze3ze1zz__rgc_treez00,
																		(int) (((long) 1)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza31256ze3z83_1826,
																		(int) (((long) 0)), BgL_arg1248z00_775);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza31256ze3z83_1826,
																		(int) (((long) 1)), BgL_arg1249z00_776);
																	BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00
																		(BgL_zc3anonymousza31256ze3z83_1826,
																		BgL_lastposz00_1451);
																}
																return BgL_nodez00_1449;
															}
														}
													}
												}
											}
										}
									else
										{	/* Rgc/rgctree.scm 217 */
											return
												BGl_errorz00zz__errorz00(BFALSE,
												BGl_string1645z00zz__rgc_treez00, BgL_exprz00_28);
										}
								}
							else
								{	/* Rgc/rgctree.scm 217 */
									return
										BGl_errorz00zz__errorz00(BFALSE,
										BGl_string1645z00zz__rgc_treez00, BgL_exprz00_28);
								}
						}
					else
						{	/* Rgc/rgctree.scm 217 */
							return
								BGl_errorz00zz__errorz00(BFALSE,
								BGl_string1645z00zz__rgc_treez00, BgL_exprz00_28);
						}
				}
			else
				{	/* Rgc/rgctree.scm 217 */
					return
						BGl_errorz00zz__errorz00(BFALSE, BGl_string1645z00zz__rgc_treez00,
						BgL_exprz00_28);
				}
		}
	}



/* &<anonymous:1256> */
	obj_t BGl_z62zc3anonymousza31256ze3ze1zz__rgc_treez00(obj_t BgL_envz00_1828,
		obj_t BgL_iz00_1831)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 230 */
			{	/* Rgc/rgctree.scm 217 */
				obj_t BgL_rulez00_1829;
				obj_t BgL_submatchz00_1830;

				BgL_rulez00_1829 = PROCEDURE_REF(BgL_envz00_1828, (int) (((long) 0)));
				BgL_submatchz00_1830 =
					PROCEDURE_REF(BgL_envz00_1828, (int) (((long) 1)));
				{
					obj_t BgL_iz00_1456;

					BgL_iz00_1456 = BgL_iz00_1831;
					return
						BGl_submatchzd2stopzd2addz12z12zz__rgc_treez00(BgL_iz00_1456,
						BgL_rulez00_1829, BgL_submatchz00_1830);
				}
			}
		}
	}



/* &<anonymous:1253> */
	obj_t BGl_z62zc3anonymousza31253ze3ze1zz__rgc_treez00(obj_t BgL_envz00_1832,
		obj_t BgL_iz00_1836)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 227 */
			{	/* Rgc/rgctree.scm 217 */
				obj_t BgL_nullablezf3zf3_1833;
				obj_t BgL_rulez00_1834;
				obj_t BgL_submatchz00_1835;

				BgL_nullablezf3zf3_1833 =
					PROCEDURE_REF(BgL_envz00_1832, (int) (((long) 0)));
				BgL_rulez00_1834 = PROCEDURE_REF(BgL_envz00_1832, (int) (((long) 1)));
				BgL_submatchz00_1835 =
					PROCEDURE_REF(BgL_envz00_1832, (int) (((long) 2)));
				{
					obj_t BgL_iz00_1454;

					BgL_iz00_1454 = BgL_iz00_1836;
					return
						BGl_submatchzd2startzd2addz12z12zz__rgc_treez00(BgL_iz00_1454,
						BgL_nullablezf3zf3_1833, BgL_rulez00_1834, BgL_submatchz00_1835);
				}
			}
		}
	}



/* init-followpos! */
	obj_t BGl_initzd2followposz12zc0zz__rgc_treez00()
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 249 */
			{	/* Rgc/rgctree.scm 250 */
				obj_t BgL_followposz00_794;

				BgL_followposz00_794 =
					make_vector(CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00),
					BUNSPEC);
				{
					long BgL_iz00_1486;

					BgL_iz00_1486 = ((long) 0);
				BgL_loopz00_1485:
					if (
						((long) CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00) ==
							BgL_iz00_1486))
						{	/* Rgc/rgctree.scm 251 */
							return (BGl_za2followposza2z00zz__rgc_treez00 =
								BgL_followposz00_794, BUNSPEC);
						}
					else
						{	/* Rgc/rgctree.scm 251 */
							VECTOR_SET(BgL_followposz00_794,
								(int) (BgL_iz00_1486),
								BGl_makezd2rgcsetzd2zz__rgc_setz00(
									(long) CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00)));
							{
								long BgL_iz00_2235;

								BgL_iz00_2235 = (BgL_iz00_1486 + ((long) 1));
								BgL_iz00_1486 = BgL_iz00_2235;
								goto BgL_loopz00_1485;
							}
						}
				}
			}
		}
	}



/* submatch-start-add! */
	obj_t BGl_submatchzd2startzd2addz12z12zz__rgc_treez00(obj_t
		BgL_positionz00_32, obj_t BgL_nullablezf3zf3_33, obj_t BgL_matchz00_34,
		obj_t BgL_submatchz00_35)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 272 */
			{	/* Rgc/rgctree.scm 273 */
				obj_t BgL_cellz00_804;

				BgL_cellz00_804 =
					VECTOR_REF(BGl_za2submatchesza2z00zz__rgc_treez00,
					CINT(BgL_positionz00_32));
				if (PAIRP(BgL_cellz00_804))
					{	/* Rgc/rgctree.scm 278 */
						obj_t BgL_arg1266z00_806;

						{	/* Rgc/rgctree.scm 278 */
							obj_t BgL_arg1268z00_807;
							obj_t BgL_arg1271z00_808;

							{	/* Rgc/rgctree.scm 278 */
								obj_t BgL_list1272z00_809;

								{	/* Rgc/rgctree.scm 278 */
									obj_t BgL_arg1279z00_810;

									{	/* Rgc/rgctree.scm 278 */
										obj_t BgL_arg1294z00_811;

										BgL_arg1294z00_811 = MAKE_PAIR(BgL_submatchz00_35, BNIL);
										BgL_arg1279z00_810 =
											MAKE_PAIR(BgL_matchz00_34, BgL_arg1294z00_811);
									}
									BgL_list1272z00_809 =
										MAKE_PAIR(BgL_nullablezf3zf3_33, BgL_arg1279z00_810);
								}
								BgL_arg1268z00_807 = BgL_list1272z00_809;
							}
							BgL_arg1271z00_808 = CAR(BgL_cellz00_804);
							BgL_arg1266z00_806 =
								MAKE_PAIR(BgL_arg1268z00_807, BgL_arg1271z00_808);
						}
						return SET_CAR(BgL_cellz00_804, BgL_arg1266z00_806);
					}
				else
					{	/* Rgc/rgctree.scm 277 */
						obj_t BgL_arg1298z00_812;

						{	/* Rgc/rgctree.scm 277 */
							obj_t BgL_arg1302z00_813;

							{	/* Rgc/rgctree.scm 277 */
								obj_t BgL_arg1305z00_814;

								{	/* Rgc/rgctree.scm 277 */
									obj_t BgL_list1307z00_816;

									{	/* Rgc/rgctree.scm 277 */
										obj_t BgL_arg1308z00_817;

										{	/* Rgc/rgctree.scm 277 */
											obj_t BgL_arg1312z00_818;

											BgL_arg1312z00_818 = MAKE_PAIR(BgL_submatchz00_35, BNIL);
											BgL_arg1308z00_817 =
												MAKE_PAIR(BgL_matchz00_34, BgL_arg1312z00_818);
										}
										BgL_list1307z00_816 =
											MAKE_PAIR(BgL_nullablezf3zf3_33, BgL_arg1308z00_817);
									}
									BgL_arg1305z00_814 = BgL_list1307z00_816;
								}
								{	/* Rgc/rgctree.scm 277 */
									obj_t BgL_list1306z00_815;

									BgL_list1306z00_815 = MAKE_PAIR(BgL_arg1305z00_814, BNIL);
									BgL_arg1302z00_813 = BgL_list1306z00_815;
								}
							}
							BgL_arg1298z00_812 = MAKE_PAIR(BgL_arg1302z00_813, BNIL);
						}
						return
							VECTOR_SET(BGl_za2submatchesza2z00zz__rgc_treez00,
							CINT(BgL_positionz00_32), BgL_arg1298z00_812);
					}
			}
		}
	}



/* submatch-stop-add! */
	obj_t BGl_submatchzd2stopzd2addz12z12zz__rgc_treez00(obj_t BgL_positionz00_36,
		obj_t BgL_matchz00_37, obj_t BgL_submatchz00_38)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 283 */
			{	/* Rgc/rgctree.scm 284 */
				obj_t BgL_cellz00_819;

				BgL_cellz00_819 =
					VECTOR_REF(BGl_za2submatchesza2z00zz__rgc_treez00,
					CINT(BgL_positionz00_36));
				if (PAIRP(BgL_cellz00_819))
					{	/* Rgc/rgctree.scm 289 */
						obj_t BgL_arg1314z00_821;

						{	/* Rgc/rgctree.scm 289 */
							obj_t BgL_arg1315z00_822;
							obj_t BgL_arg1316z00_823;

							BgL_arg1315z00_822 =
								MAKE_PAIR(BgL_matchz00_37, BgL_submatchz00_38);
							BgL_arg1316z00_823 = CDR(BgL_cellz00_819);
							BgL_arg1314z00_821 =
								MAKE_PAIR(BgL_arg1315z00_822, BgL_arg1316z00_823);
						}
						return SET_CDR(BgL_cellz00_819, BgL_arg1314z00_821);
					}
				else
					{	/* Rgc/rgctree.scm 288 */
						obj_t BgL_arg1317z00_824;

						{	/* Rgc/rgctree.scm 288 */
							obj_t BgL_arg1318z00_825;

							{	/* Rgc/rgctree.scm 288 */
								obj_t BgL_arg1319z00_826;

								BgL_arg1319z00_826 =
									MAKE_PAIR(BgL_matchz00_37, BgL_submatchz00_38);
								{	/* Rgc/rgctree.scm 288 */
									obj_t BgL_list1320z00_827;

									BgL_list1320z00_827 = MAKE_PAIR(BgL_arg1319z00_826, BNIL);
									BgL_arg1318z00_825 = BgL_list1320z00_827;
								}
							}
							BgL_arg1317z00_824 = MAKE_PAIR(BNIL, BgL_arg1318z00_825);
						}
						return
							VECTOR_SET(BGl_za2submatchesza2z00zz__rgc_treez00,
							CINT(BgL_positionz00_36), BgL_arg1317z00_824);
					}
			}
		}
	}



/* reset-tree! */
	BGL_EXPORTED_DEF obj_t BGl_resetzd2treez12zc0zz__rgc_treez00()
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 294 */
			BGl_za2followposza2z00zz__rgc_treez00 = BUNSPEC;
			BGl_za2positionsza2z00zz__rgc_treez00 = BUNSPEC;
			BGl_za2submatchesza2z00zz__rgc_treez00 = BUNSPEC;
			return (BGl_za2positionzd2numberza2zd2zz__rgc_treez00 = BUNSPEC, BUNSPEC);
		}
	}



/* &reset-tree! */
	obj_t BGl_z62resetzd2treez12za2zz__rgc_treez00(obj_t BgL_envz00_1837)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 294 */
			return BGl_resetzd2treez12zc0zz__rgc_treez00();
		}
	}



/* print-followpos */
	BGL_EXPORTED_DEF obj_t BGl_printzd2followposzd2zz__rgc_treez00(obj_t
		BgL_fpz00_39)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 303 */
			{	/* Rgc/rgctree.scm 304 */
				obj_t BgL_port1072z00_828;

				{	/* Rgc/rgctree.scm 304 */
					obj_t BgL_res1589z00_1531;

					{	/* Rgc/rgctree.scm 304 */
						obj_t BgL_auxz00_2268;

						BgL_auxz00_2268 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_res1589z00_1531 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2268);
					}
					BgL_port1072z00_828 = BgL_res1589z00_1531;
				}
				BGL_DISPLAY_STRING(BGl_string1649z00zz__rgc_treez00,
					BgL_port1072z00_828);
				bgl_display_char(((unsigned char) '\n'), BgL_port1072z00_828);
			}
			{	/* Rgc/rgctree.scm 305 */
				obj_t BgL_port1073z00_829;

				{	/* Rgc/rgctree.scm 305 */
					obj_t BgL_res1590z00_1536;

					{	/* Rgc/rgctree.scm 305 */
						obj_t BgL_auxz00_2273;

						BgL_auxz00_2273 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_res1590z00_1536 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2273);
					}
					BgL_port1073z00_829 = BgL_res1590z00_1536;
				}
				BGL_DISPLAY_STRING(BGl_string1650z00zz__rgc_treez00,
					BgL_port1073z00_829);
				{	/* Rgc/rgctree.scm 305 */
					int BgL_arg1321z00_830;

					BgL_arg1321z00_830 = VECTOR_LENGTH(BgL_fpz00_39);
					bgl_display_obj(BINT(BgL_arg1321z00_830), BgL_port1073z00_829);
				}
				bgl_display_char(((unsigned char) '\n'), BgL_port1073z00_829);
			} BGl_list1651z00zz__rgc_treez00;
			{	/* Rgc/rgctree.scm 312 */
				obj_t BgL_port1074z00_831;

				{	/* Rgc/rgctree.scm 312 */
					obj_t BgL_res1591z00_1542;

					{	/* Rgc/rgctree.scm 312 */
						obj_t BgL_auxz00_2281;

						BgL_auxz00_2281 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_res1591z00_1542 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2281);
					}
					BgL_port1074z00_831 = BgL_res1591z00_1542;
				}
				BGL_DISPLAY_STRING(BGl_string1696z00zz__rgc_treez00,
					BgL_port1074z00_831);
				return bgl_display_char(((unsigned char) '\n'), BgL_port1074z00_831);
		}}
	}



/* &print-followpos */
	obj_t BGl_z62printzd2followposzb0zz__rgc_treez00(obj_t BgL_envz00_1838,
		obj_t BgL_fpz00_1839)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 303 */
			return BGl_printzd2followposzd2zz__rgc_treez00(BgL_fpz00_1839);
		}
	}



/* print-node */
	BGL_EXPORTED_DEF obj_t BGl_printzd2nodezd2zz__rgc_treez00(obj_t
		BgL_nodez00_40)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 317 */
			return BGl_symbol1697z00zz__rgc_treez00;
		}
	}



/* &print-node */
	obj_t BGl_z62printzd2nodezb0zz__rgc_treez00(obj_t BgL_envz00_1840,
		obj_t BgL_nodez00_1841)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 317 */
			return BGl_symbol1697z00zz__rgc_treez00;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__rgc_treez00()
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 14 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__rgc_treez00()
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__rgc_treez00()
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__rgc_treez00()
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 14 */
			BGl_modulezd2initializa7ationz75zz__rgc_setz00(((long) 452052554),
				BSTRING_TO_STRING(BGl_string1699z00zz__rgc_treez00));
			BGl_modulezd2initializa7ationz75zz__rgc_configz00(((long) 428274736),
				BSTRING_TO_STRING(BGl_string1699z00zz__rgc_treez00));
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string1699z00zz__rgc_treez00));
		}
	}

#ifdef __cplusplus
}
#endif
